X11 (JNA API)

com.sun.jna.platform.unix

## Interface X11

- All Superinterfaces:
    Library

      public interface X11
      extends Library

  Definition (incomplete) of the X library.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `X11.Atom`
    `static class` | `X11.AtomByReference`
    `static class` | `X11.Colormap`
    `static class` | `X11.Cursor`
    `static class` | `X11.Display`
    `static class` | `X11.Drawable`
    `static class` | `X11.Font`
    `static class` | `X11.GC`
    `static class` | `X11.KeySym`
    `static class` | `X11.Pixmap`
    `static class` | `X11.Screen`
    `static class` | `X11.Visual`
    `static class` | `X11.VisualID`
    `static class` | `X11.Window`
    `static class` | `X11.WindowByReference`
    `static class` | `X11.XAnyEvent`
    `static class` | `X11.XButtonEvent`
    `static class` | `X11.XButtonPressedEvent`
    `static class` | `X11.XButtonReleasedEvent`
    `static class` | `X11.XCirculateEvent`
    `static class` | `X11.XCirculateRequestEvent`
    `static class` | `X11.XClientMessageEvent`
    `static class` | `X11.XColormapEvent`
    `static class` | `X11.XConfigureEvent`
    `static class` | `X11.XConfigureRequestEvent`
    `static class` | `X11.XCreateWindowEvent`
    `static class` | `X11.XCrossingEvent`
    `static class` | `X11.XDestroyWindowEvent`
    `static class` | `X11.XDeviceByReference`
    `static class` | `X11.XEnterWindowEvent`
    `static class` | `X11.XErrorEvent`
    `static interface` | `X11.XErrorHandler`
    `static class` | `X11.XEvent` DEFINITIONS OF SPECIFIC EVENTS
    `static interface` | `X11.Xevie` Definition of the Xevie library.
    `static class` | `X11.XExposeEvent`
    `static interface` | `X11.Xext` Definition (incomplete) of the Xext library.
    `static class` | `X11.XFocusChangeEvent`
    `static class` | `X11.XFocusInEvent`
    `static class` | `X11.XFocusOutEvent`
    `static class` | `X11.XGCValues`
    `static class` | `X11.XGraphicsExposeEvent`
    `static class` | `X11.XGravityEvent`
    `static class` | `X11.XID`
    `static class` | `X11.XImage`
    `static class` | `X11.XInputClassInfoByReference`
    `static class` | `X11.XKeyboardControlRef`
    `static class` | `X11.XKeyboardStateRef`
    `static class` | `X11.XKeyEvent`
    `static class` | `X11.XKeymapEvent`
    `static class` | `X11.XLeaveWindowEvent`
    `static class` | `X11.XMapEvent`
    `static class` | `X11.XMappingEvent`
    `static class` | `X11.XMapRequestEvent`
    `static class` | `X11.XModifierKeymapRef` The modifiermap member of the XModifierKeymap structure contains 8 sets of max_keypermod KeyCodes, one for each modifier in the order Shift, Lock, Control, Mod1, Mod2, Mod3, Mod4, and Mod5.
    `static class` | `X11.XMotionEvent`
    `static class` | `X11.XNoExposeEvent`
    `static class` | `X11.XPoint`
    `static class` | `X11.XPointerMovedEvent`
    `static class` | `X11.XPropertyEvent`
    `static class` | `X11.XRectangle`
    `static interface` | `X11.Xrender` Definition (incomplete) of the Xrender library.
    `static class` | `X11.XReparentEvent`
    `static class` | `X11.XResizeRequestEvent`
    `static class` | `X11.XSelectionClearEvent`
    `static class` | `X11.XSelectionEvent`
    `static class` | `X11.XSelectionRequestEvent`
    `static class` | `X11.XSetWindowAttributes`
    `static class` | `X11.XSizeHints`
    `static interface` | `X11.XTest` Definition of the XTest library.
    `static class` | `X11.XTextProperty`
    `static class` | `X11.XUnmapEvent`
    `static class` | `X11.XVisibilityEvent`
    `static class` | `X11.XVisualInfo`
    `static class` | `X11.XWindowAttributes`
    `static class` | `X11.XWMHints`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `Above`
    `static int` | `AllocAll`
    `static int` | `AllocNone` COLOR MAP STUFF
    `static int` | `AllowExposures`
    `static int` | `AllTemporary`
    `static int` | `AlreadyGrabbed`
    `static int` | `Always`
    `static int` | `AnyButton`
    `static int` | `AnyKey`
    `static int` | `AnyModifier`
    `static int` | `AnyPropertyType`
    `static int` | `ArcChord`
    `static int` | `ArcPieSlice`
    `static int` | `AsyncBoth`
    `static int` | `AsyncKeyboard`
    `static int` | `AsyncPointer`
    `static int` | `AutoRepeatModeDefault`
    `static int` | `AutoRepeatModeOff` KEYBOARD/POINTER STUFF
    `static int` | `AutoRepeatModeOn`
    `static int` | `BadAccess`
    `static int` | `BadAlloc`
    `static int` | `BadAtom`
    `static int` | `BadColor`
    `static int` | `BadCursor`
    `static int` | `BadDrawable`
    `static int` | `BadFont`
    `static int` | `BadGC`
    `static int` | `BadIDChoice`
    `static int` | `BadImplementation`
    `static int` | `BadLength`
    `static int` | `BadMatch`
    `static int` | `BadName`
    `static int` | `BadPixmap`
    `static int` | `BadRequest`
    `static int` | `BadValue`
    `static int` | `BadWindow`
    `static int` | `Below`
    `static int` | `BottomIf`
    `static int` | `Button1`
    `static int` | `Button1Mask`
    `static int` | `Button1MotionMask`
    `static int` | `Button2`
    `static int` | `Button2Mask`
    `static int` | `Button2MotionMask`
    `static int` | `Button3`
    `static int` | `Button3Mask`
    `static int` | `Button3MotionMask`
    `static int` | `Button4`
    `static int` | `Button4Mask`
    `static int` | `Button4MotionMask`
    `static int` | `Button5`
    `static int` | `Button5Mask`
    `static int` | `Button5MotionMask`
    `static int` | `ButtonMotionMask`
    `static int` | `ButtonPress`
    `static int` | `ButtonPressMask`
    `static int` | `ButtonRelease`
    `static int` | `ButtonReleaseMask`
    `static int` | `CapButt`
    `static int` | `CapNotLast`
    `static int` | `CapProjecting`
    `static int` | `CapRound`
    `static int` | `CenterGravity`
    `static int` | `CirculateNotify`
    `static int` | `CirculateRequest`
    `static int` | `ClientMessage`
    `static int` | `ClipByChildren`
    `static int` | `ColormapChangeMask`
    `static int` | `ColormapInstalled`
    `static int` | `ColormapNotify`
    `static int` | `ColormapUninstalled`
    `static int` | `Complex`
    `static int` | `ConfigureNotify`
    `static int` | `ConfigureRequest`
    `static int` | `ControlMapIndex`
    `static int` | `ControlMask`
    `static int` | `Convex`
    `static int` | `CoordModeOrigin`
    `static int` | `CoordModePrevious`
    `static int` | `CopyFromParent`
    `static int` | `CreateNotify`
    `static int` | `CurrentTime`
    `static int` | `CursorShape` CURSOR STUFF
    `static int` | `CWBackingPixel`
    `static int` | `CWBackingPlanes`
    `static int` | `CWBackingStore`
    `static int` | `CWBackPixel`
    `static int` | `CWBackPixmap`
    `static int` | `CWBitGravity`
    `static int` | `CWBorderPixel`
    `static int` | `CWBorderPixmap`
    `static int` | `CWBorderWidth`
    `static int` | `CWColormap`
    `static int` | `CWCursor`
    `static int` | `CWDontPropagate`
    `static int` | `CWEventMask`
    `static int` | `CWHeight`
    `static int` | `CWOverrideRedirect`
    `static int` | `CWSaveUnder`
    `static int` | `CWSibling`
    `static int` | `CWStackMode`
    `static int` | `CWWidth`
    `static int` | `CWWinGravity`
    `static int` | `CWX`
    `static int` | `CWY`
    `static int` | `DefaultBlanking`
    `static int` | `DefaultExposures`
    `static int` | `DestroyAll`
    `static int` | `DestroyNotify`
    `static int` | `DirectColor`
    `static int` | `DisableAccess`
    `static int` | `DisableScreenInterval`
    `static int` | `DisableScreenSaver`
    `static int` | `DoBlue`
    `static int` | `DoGreen`
    `static int` | `DontAllowExposures`
    `static int` | `DontPreferBlanking` SCREEN SAVER STUFF
    `static int` | `DoRed`
    `static int` | `EastGravity`
    `static int` | `EnableAccess`
    `static int` | `EnterNotify`
    `static int` | `EnterWindowMask`
    `static int` | `EvenOddRule`
    `static int` | `Expose`
    `static int` | `ExposureMask`
    `static int` | `FamilyChaos`
    `static int` | `FamilyDECnet`
    `static int` | `FamilyInternet`
    `static int` | `FamilyInternet6`
    `static int` | `FamilyServerInterpreted`
    `static int` | `FillOpaqueStippled`
    `static int` | `FillSolid`
    `static int` | `FillStippled`
    `static int` | `FillTiled`
    `static int` | `FirstExtensionError`
    `static int` | `FocusChangeMask`
    `static int` | `FocusIn`
    `static int` | `FocusOut`
    `static int` | `FontChange`
    `static int` | `FontLeftToRight` FONTS
    `static int` | `FontRightToLeft`
    `static int` | `ForgetGravity`
    `static int` | `GCArcMode`
    `static int` | `GCBackground`
    `static int` | `GCCapStyle`
    `static int` | `GCClipMask`
    `static int` | `GCClipXOrigin`
    `static int` | `GCClipYOrigin`
    `static int` | `GCDashList`
    `static int` | `GCDashOffset`
    `static int` | `GCFillRule`
    `static int` | `GCFillStyle`
    `static int` | `GCFont`
    `static int` | `GCForeground`
    `static int` | `GCFunction`
    `static int` | `GCGraphicsExposures`
    `static int` | `GCJoinStyle`
    `static int` | `GCLastBit`
    `static int` | `GCLineStyle`
    `static int` | `GCLineWidth`
    `static int` | `GCPlaneMask`
    `static int` | `GCStipple`
    `static int` | `GCSubwindowMode`
    `static int` | `GCTile`
    `static int` | `GCTileStipXOrigin`
    `static int` | `GCTileStipYOrigin`
    `static int` | `GrabFrozen`
    `static int` | `GrabInvalidTime`
    `static int` | `GrabModeAsync`
    `static int` | `GrabModeSync`
    `static int` | `GrabNotViewable`
    `static int` | `GrabSuccess`
    `static int` | `GraphicsExpose`
    `static int` | `GravityNotify`
    `static int` | `GrayScale`
    `static int` | `GXand`
    `static int` | `GXandInverted`
    `static int` | `GXandReverse`
    `static int` | `GXclear` GRAPHICS DEFINITIONS
    `static int` | `GXcopy`
    `static int` | `GXcopyInverted`
    `static int` | `GXequiv`
    `static int` | `GXinvert`
    `static int` | `GXnand`
    `static int` | `GXnoop`
    `static int` | `GXnor`
    `static int` | `GXor`
    `static int` | `GXorInverted`
    `static int` | `GXorReverse`
    `static int` | `GXset`
    `static int` | `GXxor`
    `static int` | `HostDelete`
    `static int` | `HostInsert` HOSTS AND CONNECTIONS
    `static int` | `IncludeInferiors`
    `static int` | `InputFocus`
    `static int` | `InputOnly`
    `static int` | `InputOutput` WINDOW DEFINITIONS
    `static X11` | `INSTANCE`
    `static int` | `IsUnmapped`
    `static int` | `IsUnviewable`
    `static int` | `IsViewable`
    `static int` | `JoinBevel`
    `static int` | `JoinMiter`
    `static int` | `JoinRound`
    `static int` | `KBAutoRepeatMode`
    `static int` | `KBBellDuration`
    `static int` | `KBBellPercent`
    `static int` | `KBBellPitch`
    `static int` | `KBKey`
    `static int` | `KBKeyClickPercent`
    `static int` | `KBLed`
    `static int` | `KBLedMode`
    `static int` | `KeymapNotify`
    `static int` | `KeymapStateMask`
    `static int` | `KeyPress`
    `static int` | `KeyPressMask`
    `static int` | `KeyRelease`
    `static int` | `KeyReleaseMask`
    `static int` | `LASTEvent`
    `static int` | `LastExtensionError`
    `static int` | `LeaveNotify`
    `static int` | `LeaveWindowMask`
    `static int` | `LedModeOff`
    `static int` | `LedModeOn`
    `static int` | `LineDoubleDash`
    `static int` | `LineOnOffDash`
    `static int` | `LineSolid`
    `static int` | `LockMapIndex`
    `static int` | `LockMask`
    `static int` | `LowerHighest`
    `static int` | `LSBFirst`
    `static int` | `MapNotify`
    `static int` | `MappingBusy`
    `static int` | `MappingFailed`
    `static int` | `MappingKeyboard`
    `static int` | `MappingModifier`
    `static int` | `MappingNotify`
    `static int` | `MappingPointer`
    `static int` | `MappingSuccess`
    `static int` | `MapRequest`
    `static int` | `Mod1MapIndex`
    `static int` | `Mod1Mask`
    `static int` | `Mod2MapIndex`
    `static int` | `Mod2Mask`
    `static int` | `Mod3MapIndex`
    `static int` | `Mod3Mask`
    `static int` | `Mod4MapIndex`
    `static int` | `Mod4Mask`
    `static int` | `Mod5MapIndex`
    `static int` | `Mod5Mask`
    `static int` | `MotionNotify`
    `static int` | `MSBFirst`
    `static int` | `NoEventMask` EVENT DEFINITIONS
    `static int` | `NoExpose`
    `static int` | `Nonconvex`
    `static int` | `None` RESERVED RESOURCE AND CONSTANT DEFINITIONS
    `static int` | `NorthEastGravity`
    `static int` | `NorthGravity`
    `static int` | `NorthWestGravity`
    `static int` | `NoSymbol`
    `static int` | `NotifyAncestor`
    `static int` | `NotifyDetailNone`
    `static int` | `NotifyGrab`
    `static int` | `NotifyHint`
    `static int` | `NotifyInferior`
    `static int` | `NotifyNonlinear`
    `static int` | `NotifyNonlinearVirtual`
    `static int` | `NotifyNormal`
    `static int` | `NotifyPointer`
    `static int` | `NotifyPointerRoot`
    `static int` | `NotifyUngrab`
    `static int` | `NotifyVirtual`
    `static int` | `NotifyWhileGrabbed`
    `static int` | `NotUseful`
    `static int` | `Opposite`
    `static int` | `OwnerGrabButtonMask`
    `static int` | `ParentRelative`
    `static int` | `PlaceOnBottom`
    `static int` | `PlaceOnTop`
    `static int` | `PointerMotionHintMask`
    `static int` | `PointerMotionMask`
    `static int` | `PointerRoot`
    `static int` | `PointerWindow`
    `static int` | `PreferBlanking`
    `static int` | `PropertyChangeMask`
    `static int` | `PropertyDelete`
    `static int` | `PropertyNewValue`
    `static int` | `PropertyNotify`
    `static int` | `PropModeAppend`
    `static int` | `PropModePrepend`
    `static int` | `PropModeReplace`
    `static int` | `PseudoColor`
    `static int` | `RaiseLowest`
    `static int` | `ReparentNotify`
    `static int` | `ReplayKeyboard`
    `static int` | `ReplayPointer`
    `static int` | `ResizeRedirectMask`
    `static int` | `ResizeRequest`
    `static int` | `RetainPermanent`
    `static int` | `RetainTemporary`
    `static int` | `RevertToNone`
    `static int` | `RevertToParent`
    `static int` | `RevertToPointerRoot`
    `static int` | `ScreenSaverActive`
    `static int` | `ScreenSaverReset`
    `static int` | `SelectionClear`
    `static int` | `SelectionNotify`
    `static int` | `SelectionRequest`
    `static int` | `SetModeDelete`
    `static int` | `SetModeInsert`
    `static int` | `ShiftMapIndex`
    `static int` | `ShiftMask`
    `static int` | `SouthEastGravity`
    `static int` | `SouthGravity`
    `static int` | `SouthWestGravity`
    `static int` | `StaticColor`
    `static int` | `StaticGravity`
    `static int` | `StaticGray`
    `static int` | `StippleShape`
    `static int` | `StructureNotifyMask`
    `static int` | `SubstructureNotifyMask`
    `static int` | `SubstructureRedirectMask`
    `static int` | `Success` ERROR CODES
    `static int` | `SyncBoth`
    `static int` | `SyncKeyboard`
    `static int` | `SyncPointer`
    `static int` | `TileShape`
    `static int` | `TopIf`
    `static int` | `TrueColor`
    `static int` | `UnmapGravity`
    `static int` | `UnmapNotify`
    `static int` | `Unsorted`
    `static int` | `VisibilityChangeMask`
    `static int` | `VisibilityFullyObscured`
    `static int` | `VisibilityNotify`
    `static int` | `VisibilityPartiallyObscured`
    `static int` | `VisibilityUnobscured`
    `static int` | `VisualAllMask`
    `static int` | `VisualBitsPerRGBMask`
    `static int` | `VisualBlueMaskMask`
    `static int` | `VisualClassMask`
    `static int` | `VisualColormapSizeMask`
    `static int` | `VisualDepthMask`
    `static int` | `VisualGreenMaskMask`
    `static int` | `VisualIDMask`
    `static int` | `VisualNoMask`
    `static int` | `VisualRedMaskMask`
    `static int` | `VisualScreenMask`
    `static int` | `WestGravity`
    `static int` | `WhenMapped`
    `static int` | `WindingRule`
    `static X11.Atom` | `XA_ARC`
    `static X11.Atom` | `XA_ATOM`
    `static X11.Atom` | `XA_BITMAP`
    `static X11.Atom` | `XA_CAP_HEIGHT`
    `static X11.Atom` | `XA_CARDINAL`
    `static X11.Atom` | `XA_COLORMAP`
    `static X11.Atom` | `XA_COPYRIGHT`
    `static X11.Atom` | `XA_CURSOR`
    `static X11.Atom` | `XA_CUT_BUFFER0`
    `static X11.Atom` | `XA_CUT_BUFFER1`
    `static X11.Atom` | `XA_CUT_BUFFER2`
    `static X11.Atom` | `XA_CUT_BUFFER3`
    `static X11.Atom` | `XA_CUT_BUFFER4`
    `static X11.Atom` | `XA_CUT_BUFFER5`
    `static X11.Atom` | `XA_CUT_BUFFER6`
    `static X11.Atom` | `XA_CUT_BUFFER7`
    `static X11.Atom` | `XA_DRAWABLE`
    `static X11.Atom` | `XA_END_SPACE`
    `static X11.Atom` | `XA_FAMILY_NAME`
    `static X11.Atom` | `XA_FONT`
    `static X11.Atom` | `XA_FONT_NAME`
    `static X11.Atom` | `XA_FULL_NAME`
    `static X11.Atom` | `XA_INTEGER`
    `static X11.Atom` | `XA_ITALIC_ANGLE`
    `static X11.Atom` | `XA_LAST_PREDEFINED`
    `static X11.Atom` | `XA_MAX_SPACE`
    `static X11.Atom` | `XA_MIN_SPACE`
    `static X11.Atom` | `XA_NORM_SPACE`
    `static X11.Atom` | `XA_NOTICE`
    `static X11.Atom` | `XA_PIXMAP`
    `static X11.Atom` | `XA_POINT`
    `static X11.Atom` | `XA_POINT_SIZE`
    `static X11.Atom` | `XA_PRIMARY`
    `static X11.Atom` | `XA_QUAD_WIDTH`
    `static X11.Atom` | `XA_RECTANGLE`
    `static X11.Atom` | `XA_RESOLUTION`
    `static X11.Atom` | `XA_RESOURCE_MANAGER`
    `static X11.Atom` | `XA_RGB_BEST_MAP`
    `static X11.Atom` | `XA_RGB_BLUE_MAP`
    `static X11.Atom` | `XA_RGB_COLOR_MAP`
    `static X11.Atom` | `XA_RGB_DEFAULT_MAP`
    `static X11.Atom` | `XA_RGB_GRAY_MAP`
    `static X11.Atom` | `XA_RGB_GREEN_MAP`
    `static X11.Atom` | `XA_RGB_RED_MAP`
    `static X11.Atom` | `XA_SECONDARY`
    `static X11.Atom` | `XA_STRIKEOUT_ASCENT`
    `static X11.Atom` | `XA_STRIKEOUT_DESCENT`
    `static X11.Atom` | `XA_STRING`
    `static X11.Atom` | `XA_SUBSCRIPT_X`
    `static X11.Atom` | `XA_SUBSCRIPT_Y`
    `static X11.Atom` | `XA_SUPERSCRIPT_X`
    `static X11.Atom` | `XA_SUPERSCRIPT_Y`
    `static X11.Atom` | `XA_UNDERLINE_POSITION`
    `static X11.Atom` | `XA_UNDERLINE_THICKNESS`
    `static X11.Atom` | `XA_VISUALID`
    `static X11.Atom` | `XA_WEIGHT`
    `static X11.Atom` | `XA_WINDOW`
    `static X11.Atom` | `XA_WM_CLASS`
    `static X11.Atom` | `XA_WM_CLIENT_MACHINE`
    `static X11.Atom` | `XA_WM_COMMAND`
    `static X11.Atom` | `XA_WM_HINTS`
    `static X11.Atom` | `XA_WM_ICON_NAME`
    `static X11.Atom` | `XA_WM_ICON_SIZE`
    `static X11.Atom` | `XA_WM_NAME`
    `static X11.Atom` | `XA_WM_NORMAL_HINTS`
    `static X11.Atom` | `XA_WM_SIZE_HINTS`
    `static X11.Atom` | `XA_WM_TRANSIENT_FOR`
    `static X11.Atom` | `XA_WM_ZOOM_HINTS`
    `static X11.Atom` | `XA_X_HEIGHT`
    `static int` | `XK_0`
    `static int` | `XK_9`
    `static int` | `XK_a`
    `static int` | `XK_A`
    `static int` | `XK_Alt_L`
    `static int` | `XK_Alt_R`
    `static int` | `XK_CapsLock`
    `static int` | `XK_Control_L`
    `static int` | `XK_Control_R`
    `static int` | `XK_Meta_L`
    `static int` | `XK_Meta_R`
    `static int` | `XK_Shift_L`
    `static int` | `XK_Shift_R`
    `static int` | `XK_ShiftLock`
    `static int` | `XK_z`
    `static int` | `XK_Z`
    `static int` | `XYBitmap` IMAGING
    `static int` | `XYPixmap`
    `static int` | `YSorted`
    `static int` | `YXBanded`
    `static int` | `YXSorted`
    `static int` | `ZPixmap`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `X11.Screen` | `DefaultScreenOfDisplay(X11.Display display)`
    `int` | `XAllocNamedColor(X11.Display display, int colormap, java.lang.String color_name, Pointer screen_def_return, Pointer exact_def_return)`
    `X11.XSizeHints` | `XAllocSizeHints()`
    `int` | `XAutoRepeatOff(X11.Display display)` Turns off auto-repeat for the keyboard on the specified display.
    `int` | `XAutoRepeatOn(X11.Display display)` Turns on auto-repeat for the keyboard on the specified display.
    `int` | `XBell(X11.Display display, int percent)` Rings the bell on the keyboard on the specified display, if possible.
    `int` | `XChangeKeyboardControl(X11.Display display, NativeLong value_mask, X11.XKeyboardControlRef values)` Changes the keyboard control state.
    `int` | `XChangeKeyboardMapping(X11.Display display, int first_keycode, int keysyms_per_keycode, X11.KeySym[] keysyms, int num_codes)` Defines the symbols for the specified number of KeyCodes starting with first_keycode.
    `int` | `XChangeProperty(X11.Display display, X11.Window w, X11.Atom property, X11.Atom type, int format, int mode, Pointer data, int nelements)`
    `int` | `XChangeWindowAttributes(X11.Display display, X11.Window window, NativeLong valuemask, X11.XSetWindowAttributes attributes)`
    `boolean` | `XCheckMaskEvent(X11.Display display, NativeLong event_mask, X11.XEvent event_return)`
    `boolean` | `XCheckTypedEvent(X11.Display display, int event_type, X11.XEvent event_return)`
    `boolean` | `XCheckTypedWindowEvent(X11.Display display, X11.Window w, int event_type, X11.XEvent event_return)`
    `boolean` | `XCheckWindowEvent(X11.Display display, X11.Window w, NativeLong event_mask, X11.XEvent event_return)`
    `int` | `XClearArea(X11.Display display, X11.Window window, int x, int y, int w, int h, int exposures)`
    `int` | `XClearWindow(X11.Display display, X11.Window window)`
    `int` | `XCloseDisplay(X11.Display display)`
    `int` | `XCopyArea(X11.Display dpy, X11.Drawable src, X11.Drawable dst, X11.GC gc, int src_x, int src_y, int w, int h, int dst_x, int dst_y)`
    `X11.Pixmap` | `XCreateBitmapFromData(X11.Display display, X11.Window window, Pointer data, int width, int height)`
    `X11.Colormap` | `XCreateColormap(X11.Display display, X11.Window w, X11.Visual visual, int alloc)`
    `X11.GC` | `XCreateGC(X11.Display display, X11.Drawable drawable, NativeLong mask, X11.XGCValues values)`
    `X11.XImage` | `XCreateImage(X11.Display dpy, X11.Visual visual, int depth, int format, int offset, Pointer data, int width, int height, int bitmap_pad, int bytes_per_line)`
    `X11.Pixmap` | `XCreatePixmap(X11.Display display, X11.Drawable drawable, int width, int height, int depth)`
    `X11.Window` | `XCreateSimpleWindow(X11.Display display, X11.Window parent, int x, int y, int width, int height, int border_width, int border, int background)`
    `X11.Colormap` | `XDefaultColormap(X11.Display display, int screen)`
    `X11.Window` | `XDefaultRootWindow(X11.Display display)`
    `int` | `XDefaultScreen(X11.Display display)`
    `X11.Visual` | `XDefaultVisual(X11.Display display, int screen)`
    `X11.XModifierKeymapRef` | `XDeleteModifiermapEntry(X11.XModifierKeymapRef modmap, byte keycode_entry, int modifier)` Deletes the specified KeyCode from the set that controls the specified modifier and returns a pointer to the resulting XModifierKeymap structure.
    `int` | `XDeleteProperty(X11.Display display, X11.Window w, X11.Atom property)`
    `int` | `XDestroyImage(X11.XImage image)`
    `int` | `XDestroyWindow(X11.Display display, X11.Window window)`
    `int` | `XDisplayHeight(X11.Display display, int screen)`
    `int` | `XDisplayKeycodes(X11.Display display, IntByReference min_keycodes_return, IntByReference max_keycodes_return)` Returns the min-keycodes and max-keycodes supported by the specified display.
    `int` | `XDisplayWidth(X11.Display display, int screen)`
    `int` | `XDrawPoint(X11.Display display, X11.Drawable drawable, X11.GC gc, int x, int y)`
    `int` | `XDrawPoints(X11.Display display, X11.Drawable drawable, X11.GC gc, X11.XPoint[] points, int npoints, int mode)`
    `int` | `XEventsQueued(X11.Display display, int mode)` If mode is QueuedAlready, XEventsQueued returns the number of events already in the event queue (and never performs a system call).
    `int` | `XFetchName(X11.Display display, X11.Window window, PointerByReference window_name_return)` The XFetchName() function returns the name of the specified window.
    `int` | `XFillArc(X11.Display display, X11.Drawable drawable, X11.GC gc, int x, int y, int width, int height, int angle1, int angle2)`
    `int` | `XFillPolygon(X11.Display dpy, X11.Drawable drawable, X11.GC gc, X11.XPoint[] points, int npoints, int shape, int mode)`
    `int` | `XFillRectangle(X11.Display display, X11.Drawable drawable, X11.GC gc, int x, int y, int width, int height)`
    `int` | `XFillRectangles(X11.Display display, X11.Drawable drawable, X11.GC gc, X11.XRectangle[] rectangles, int nrectangles)`
    `int` | `XFlush(X11.Display display)` Flushes the output buffer.
    `int` | `XFree(Pointer data)`
    `int` | `XFreeGC(X11.Display display, X11.GC gc)`
    `int` | `XFreeModifiermap(X11.XModifierKeymapRef modmap)` Frees the specified XModifierKeymap structure.
    `int` | `XFreePixmap(X11.Display display, X11.Pixmap pixmap)`
    `java.lang.String` | `XGetAtomName(X11.Display display, X11.Atom atom)`
    `int` | `XGetErrorText(X11.Display display, int code, byte[] buffer, int len)`
    `int` | `XGetGeometry(X11.Display display, X11.Drawable d, X11.WindowByReference w, IntByReference x, IntByReference y, IntByReference width, IntByReference heigth, IntByReference border_width, IntByReference depth)`
    `int` | `XGetKeyboardControl(X11.Display display, X11.XKeyboardStateRef values_return)` Returns the current control values for the keyboard to the XKeyboardState structure.
    `X11.KeySym` | `XGetKeyboardMapping(X11.Display display, byte first_keycode, int keycode_count, IntByReference keysyms_per_keycode_return)` Returns the symbols for the specified number of KeyCodes starting with first_keycode.
    `X11.XModifierKeymapRef` | `XGetModifierMapping(X11.Display display)` The XGetModifierMapping function returns a pointer to a newly created XModifierKeymap structure that contains the keys being used as modifiers.
    `X11.XVisualInfo` | `XGetVisualInfo(X11.Display display, NativeLong vinfo_mask, X11.XVisualInfo vinfo_template, IntByReference nitems_return)` Returns an array of `X11.XVisualInfo` which must be freed by `XFree(com.sun.jna.Pointer)`.
    `int` | `XGetWindowAttributes(X11.Display display, X11.Window window, X11.XWindowAttributes attributes)`
    `int` | `XGetWindowProperty(X11.Display display, X11.Window w, X11.Atom property, NativeLong long_offset, NativeLong long_length, boolean delete, X11.Atom reg_type, X11.AtomByReference actual_type_return, IntByReference actual_format_return, NativeLongByReference nitems_return, NativeLongByReference bytes_after_return, PointerByReference prop_return)`
    `X11.XWMHints` | `XGetWMHints(X11.Display display, X11.Window window)` Returns an `X11.XWMHints` which must be freed by `XFree(com.sun.jna.Pointer)`.
    `int` | `XGetWMName(X11.Display display, X11.Window window, X11.XTextProperty text_property_return)`
    `int` | `XGetWMProtocols(X11.Display display, X11.Window w, PointerByReference protocols_return, IntByReference count_return)`
    `int` | `XGrabKey(X11.Display display, int keyCode, int modifiers, X11.Window grab_window, int ownerEvents, int pointerMode, int keyBoardMode)` Establishes a passive grab on the keyboard
    `int` | `XGrabKeyboard(X11.Display display, X11.Window grab_window, int owner_events, int pointer_mode, int keyboard_mode, NativeLong time)` Actively grabs control of the keyboard and generates FocusIn and FocusOut events
    `X11.XModifierKeymapRef` | `XInsertModifiermapEntry(X11.XModifierKeymapRef modmap, byte keycode_entry, int modifier)` Adds the specified KeyCode to the set that controls the specified modifier and returns the resulting XModifierKeymap structure (expanded as needed).
    `X11.Atom` | `XInternAtom(X11.Display display, java.lang.String name, boolean only_if_exists)`
    `X11.KeySym` | `XKeycodeToKeysym(X11.Display display, byte keycode, int index)`
    `byte` | `XKeysymToKeycode(X11.Display display, X11.KeySym keysym)`
    `java.lang.String` | `XKeysymToString(X11.KeySym keysym)`
    `int` | `XMapRaised(X11.Display display, X11.Window window)`
    `int` | `XMapSubwindows(X11.Display display, X11.Window window)`
    `int` | `XMapWindow(X11.Display display, X11.Window window)`
    `int` | `XMaskEvent(X11.Display display, NativeLong event_mask, X11.XEvent event_return)`
    `X11.XModifierKeymapRef` | `XNewModifiermap(int max_keys_per_mod)` Returns a pointer to XModifierKeymap structure for later use.
    `int` | `XNextEvent(X11.Display display, X11.XEvent event_return)`
    `X11.Display` | `XOpenDisplay(java.lang.String name)`
    `int` | `XPeekEvent(X11.Display display, X11.XEvent event_return)`
    `int` | `XPending(X11.Display display)` Returns the number of events that have been received from the X server but have not been removed from the event queue.
    `int` | `XPutImage(X11.Display dpy, X11.Drawable d, X11.GC gc, X11.XImage image, int src_x, int src_y, int dest_x, int dest_y, int width, int height)`
    `int` | `XQueryKeymap(X11.Display display, byte[] keys_return)` Returns a bit vector for the logical state of the keyboard, where each bit set to 1 indicates that the corresponding key is currently pressed down.
    `boolean` | `XQueryPointer(X11.Display display, X11.Window window, X11.WindowByReference root_return, X11.WindowByReference child_return, IntByReference root_x_return, IntByReference root_y_return, IntByReference win_x_return, IntByReference win_y_return, IntByReference mask_return)`
    `int` | `XQueryTree(X11.Display display, X11.Window window, X11.WindowByReference root, X11.WindowByReference parent, PointerByReference children, IntByReference childCount)`
    `X11.Window` | `XRootWindow(X11.Display display, int screen)`
    `int` | `XSelectInput(X11.Display display, X11.Window window, NativeLong eventMask)`
    `int` | `XSendEvent(X11.Display display, X11.Window w, int propagate, NativeLong event_mask, X11.XEvent event_send)`
    `int` | `XSetBackground(X11.Display display, X11.GC gc, NativeLong color)`
    `X11.XErrorHandler` | `XSetErrorHandler(X11.XErrorHandler handler)` Installs an error handler
    `int` | `XSetFillRule(X11.Display display, X11.GC gc, int fill_rule)`
    `int` | `XSetForeground(X11.Display display, X11.GC gc, NativeLong color)`
    `int` | `XSetModifierMapping(X11.Display display, X11.XModifierKeymapRef modmap)` Specifies the KeyCodes of the keys (if any) that are to be used as modifiers.
    `void` | `XSetWMProperties(X11.Display display, X11.Window window, java.lang.String window_name, java.lang.String icon_name, java.lang.String[] argv, int argc, X11.XSizeHints normal_hints, Pointer wm_hints, Pointer class_hints)`
    `int` | `XSetWMProtocols(X11.Display display, X11.Window window, X11.Atom[] atom, int count)`
    `X11.KeySym` | `XStringToKeysym(java.lang.String string)`
    `int` | `XSync(X11.Display display, boolean discard)` Flushes the output buffer and then waits until all requests have been received and processed by the X server.
    `boolean` | `XTranslateCoordinates(X11.Display display, X11.Window src_w, X11.Window dest_w, int src_x, int src_y, IntByReference dest_x_return, IntByReference dest_y_return, X11.WindowByReference child_return)`
    `int` | `XUngrabKey(X11.Display display, int keyCode, int modifiers, X11.Window grab_window)` The XUngrabKey() function releases the key combination on the specified window if it was grabbed by this client.
    `int` | `XUngrabKeyboard(X11.Display display, NativeLong time)` Releases the keyboard and any queued events if this client has it actively grabbed from either XGrabKeyboard() or XGrabKey().
    `int` | `XUnmapWindow(X11.Display display, X11.Window window)`
    `int` | `XWindowEvent(X11.Display display, X11.Window w, NativeLong event_mask, X11.XEvent event_return)`

- - ### Field Detail

    - #### INSTANCE

          static final X11 INSTANCE

    - #### XK_0

          static final int XK_0

      See Also:
        Constant Field Values

    - #### XK_9

          static final int XK_9

      See Also:
        Constant Field Values

    - #### XK_A

          static final int XK_A

      See Also:
        Constant Field Values

    - #### XK_Z

          static final int XK_Z

      See Also:
        Constant Field Values

    - #### XK_a

          static final int XK_a

      See Also:
        Constant Field Values

    - #### XK_z

          static final int XK_z

      See Also:
        Constant Field Values

    - #### XK_Shift_L

          static final int XK_Shift_L

      See Also:
        Constant Field Values

    - #### XK_Shift_R

          static final int XK_Shift_R

      See Also:
        Constant Field Values

    - #### XK_Control_L

          static final int XK_Control_L

      See Also:
        Constant Field Values

    - #### XK_Control_R

          static final int XK_Control_R

      See Also:
        Constant Field Values

    - #### XK_CapsLock

          static final int XK_CapsLock

      See Also:
        Constant Field Values

    - #### XK_ShiftLock

          static final int XK_ShiftLock

      See Also:
        Constant Field Values

    - #### XK_Meta_L

          static final int XK_Meta_L

      See Also:
        Constant Field Values

    - #### XK_Meta_R

          static final int XK_Meta_R

      See Also:
        Constant Field Values

    - #### XK_Alt_L

          static final int XK_Alt_L

      See Also:
        Constant Field Values

    - #### XK_Alt_R

          static final int XK_Alt_R

      See Also:
        Constant Field Values

    - #### VisualNoMask

          static final int VisualNoMask

      See Also:
        Constant Field Values

    - #### VisualIDMask

          static final int VisualIDMask

      See Also:
        Constant Field Values

    - #### VisualScreenMask

          static final int VisualScreenMask

      See Also:
        Constant Field Values

    - #### VisualDepthMask

          static final int VisualDepthMask

      See Also:
        Constant Field Values

    - #### VisualClassMask

          static final int VisualClassMask

      See Also:
        Constant Field Values

    - #### VisualRedMaskMask

          static final int VisualRedMaskMask

      See Also:
        Constant Field Values

    - #### VisualGreenMaskMask

          static final int VisualGreenMaskMask

      See Also:
        Constant Field Values

    - #### VisualBlueMaskMask

          static final int VisualBlueMaskMask

      See Also:
        Constant Field Values

    - #### VisualColormapSizeMask

          static final int VisualColormapSizeMask

      See Also:
        Constant Field Values

    - #### VisualBitsPerRGBMask

          static final int VisualBitsPerRGBMask

      See Also:
        Constant Field Values

    - #### VisualAllMask

          static final int VisualAllMask

      See Also:
        Constant Field Values

    - #### XA_PRIMARY

          static final X11.Atom XA_PRIMARY

    - #### XA_SECONDARY

          static final X11.Atom XA_SECONDARY

    - #### XA_ARC

          static final X11.Atom XA_ARC

    - #### XA_ATOM

          static final X11.Atom XA_ATOM

    - #### XA_BITMAP

          static final X11.Atom XA_BITMAP

    - #### XA_CARDINAL

          static final X11.Atom XA_CARDINAL

    - #### XA_COLORMAP

          static final X11.Atom XA_COLORMAP

    - #### XA_CURSOR

          static final X11.Atom XA_CURSOR

    - #### XA_CUT_BUFFER0

          static final X11.Atom XA_CUT_BUFFER0

    - #### XA_CUT_BUFFER1

          static final X11.Atom XA_CUT_BUFFER1

    - #### XA_CUT_BUFFER2

          static final X11.Atom XA_CUT_BUFFER2

    - #### XA_CUT_BUFFER3

          static final X11.Atom XA_CUT_BUFFER3

    - #### XA_CUT_BUFFER4

          static final X11.Atom XA_CUT_BUFFER4

    - #### XA_CUT_BUFFER5

          static final X11.Atom XA_CUT_BUFFER5

    - #### XA_CUT_BUFFER6

          static final X11.Atom XA_CUT_BUFFER6

    - #### XA_CUT_BUFFER7

          static final X11.Atom XA_CUT_BUFFER7

    - #### XA_DRAWABLE

          static final X11.Atom XA_DRAWABLE

    - #### XA_FONT

          static final X11.Atom XA_FONT

    - #### XA_INTEGER

          static final X11.Atom XA_INTEGER

    - #### XA_PIXMAP

          static final X11.Atom XA_PIXMAP

    - #### XA_POINT

          static final X11.Atom XA_POINT

    - #### XA_RECTANGLE

          static final X11.Atom XA_RECTANGLE

    - #### XA_RESOURCE_MANAGER

          static final X11.Atom XA_RESOURCE_MANAGER

    - #### XA_RGB_COLOR_MAP

          static final X11.Atom XA_RGB_COLOR_MAP

    - #### XA_RGB_BEST_MAP

          static final X11.Atom XA_RGB_BEST_MAP

    - #### XA_RGB_BLUE_MAP

          static final X11.Atom XA_RGB_BLUE_MAP

    - #### XA_RGB_DEFAULT_MAP

          static final X11.Atom XA_RGB_DEFAULT_MAP

    - #### XA_RGB_GRAY_MAP

          static final X11.Atom XA_RGB_GRAY_MAP

    - #### XA_RGB_GREEN_MAP

          static final X11.Atom XA_RGB_GREEN_MAP

    - #### XA_RGB_RED_MAP

          static final X11.Atom XA_RGB_RED_MAP

    - #### XA_STRING

          static final X11.Atom XA_STRING

    - #### XA_VISUALID

          static final X11.Atom XA_VISUALID

    - #### XA_WINDOW

          static final X11.Atom XA_WINDOW

    - #### XA_WM_COMMAND

          static final X11.Atom XA_WM_COMMAND

    - #### XA_WM_HINTS

          static final X11.Atom XA_WM_HINTS

    - #### XA_WM_CLIENT_MACHINE

          static final X11.Atom XA_WM_CLIENT_MACHINE

    - #### XA_WM_ICON_NAME

          static final X11.Atom XA_WM_ICON_NAME

    - #### XA_WM_ICON_SIZE

          static final X11.Atom XA_WM_ICON_SIZE

    - #### XA_WM_NAME

          static final X11.Atom XA_WM_NAME

    - #### XA_WM_NORMAL_HINTS

          static final X11.Atom XA_WM_NORMAL_HINTS

    - #### XA_WM_SIZE_HINTS

          static final X11.Atom XA_WM_SIZE_HINTS

    - #### XA_WM_ZOOM_HINTS

          static final X11.Atom XA_WM_ZOOM_HINTS

    - #### XA_MIN_SPACE

          static final X11.Atom XA_MIN_SPACE

    - #### XA_NORM_SPACE

          static final X11.Atom XA_NORM_SPACE

    - #### XA_MAX_SPACE

          static final X11.Atom XA_MAX_SPACE

    - #### XA_END_SPACE

          static final X11.Atom XA_END_SPACE

    - #### XA_SUPERSCRIPT_X

          static final X11.Atom XA_SUPERSCRIPT_X

    - #### XA_SUPERSCRIPT_Y

          static final X11.Atom XA_SUPERSCRIPT_Y

    - #### XA_SUBSCRIPT_X

          static final X11.Atom XA_SUBSCRIPT_X

    - #### XA_SUBSCRIPT_Y

          static final X11.Atom XA_SUBSCRIPT_Y

    - #### XA_UNDERLINE_POSITION

          static final X11.Atom XA_UNDERLINE_POSITION

    - #### XA_UNDERLINE_THICKNESS

          static final X11.Atom XA_UNDERLINE_THICKNESS

    - #### XA_STRIKEOUT_ASCENT

          static final X11.Atom XA_STRIKEOUT_ASCENT

    - #### XA_STRIKEOUT_DESCENT

          static final X11.Atom XA_STRIKEOUT_DESCENT

    - #### XA_ITALIC_ANGLE

          static final X11.Atom XA_ITALIC_ANGLE

    - #### XA_X_HEIGHT

          static final X11.Atom XA_X_HEIGHT

    - #### XA_QUAD_WIDTH

          static final X11.Atom XA_QUAD_WIDTH

    - #### XA_WEIGHT

          static final X11.Atom XA_WEIGHT

    - #### XA_POINT_SIZE

          static final X11.Atom XA_POINT_SIZE

    - #### XA_RESOLUTION

          static final X11.Atom XA_RESOLUTION

    - #### XA_COPYRIGHT

          static final X11.Atom XA_COPYRIGHT

    - #### XA_NOTICE

          static final X11.Atom XA_NOTICE

    - #### XA_FONT_NAME

          static final X11.Atom XA_FONT_NAME

    - #### XA_FAMILY_NAME

          static final X11.Atom XA_FAMILY_NAME

    - #### XA_FULL_NAME

          static final X11.Atom XA_FULL_NAME

    - #### XA_CAP_HEIGHT

          static final X11.Atom XA_CAP_HEIGHT

    - #### XA_WM_CLASS

          static final X11.Atom XA_WM_CLASS

    - #### XA_WM_TRANSIENT_FOR

          static final X11.Atom XA_WM_TRANSIENT_FOR

    - #### XA_LAST_PREDEFINED

          static final X11.Atom XA_LAST_PREDEFINED

    - #### None

          static final int None

      RESERVED RESOURCE AND CONSTANT DEFINITIONS
      See Also:
        Constant Field Values

    - #### ParentRelative

          static final int ParentRelative

      See Also:
        Constant Field Values

    - #### CopyFromParent

          static final int CopyFromParent

      See Also:
        Constant Field Values

    - #### PointerWindow

          static final int PointerWindow

      See Also:
        Constant Field Values

    - #### InputFocus

          static final int InputFocus

      See Also:
        Constant Field Values

    - #### PointerRoot

          static final int PointerRoot

      See Also:
        Constant Field Values

    - #### AnyPropertyType

          static final int AnyPropertyType

      See Also:
        Constant Field Values

    - #### AnyKey

          static final int AnyKey

      See Also:
        Constant Field Values

    - #### AnyButton

          static final int AnyButton

      See Also:
        Constant Field Values

    - #### AllTemporary

          static final int AllTemporary

      See Also:
        Constant Field Values

    - #### CurrentTime

          static final int CurrentTime

      See Also:
        Constant Field Values

    - #### NoSymbol

          static final int NoSymbol

      See Also:
        Constant Field Values

    - #### NoEventMask

          static final int NoEventMask

      EVENT DEFINITIONS
      See Also:
        Constant Field Values

    - #### KeyPressMask

          static final int KeyPressMask

      See Also:
        Constant Field Values

    - #### KeyReleaseMask

          static final int KeyReleaseMask

      See Also:
        Constant Field Values

    - #### ButtonPressMask

          static final int ButtonPressMask

      See Also:
        Constant Field Values

    - #### ButtonReleaseMask

          static final int ButtonReleaseMask

      See Also:
        Constant Field Values

    - #### EnterWindowMask

          static final int EnterWindowMask

      See Also:
        Constant Field Values

    - #### LeaveWindowMask

          static final int LeaveWindowMask

      See Also:
        Constant Field Values

    - #### PointerMotionMask

          static final int PointerMotionMask

      See Also:
        Constant Field Values

    - #### PointerMotionHintMask

          static final int PointerMotionHintMask

      See Also:
        Constant Field Values

    - #### Button1MotionMask

          static final int Button1MotionMask

      See Also:
        Constant Field Values

    - #### Button2MotionMask

          static final int Button2MotionMask

      See Also:
        Constant Field Values

    - #### Button3MotionMask

          static final int Button3MotionMask

      See Also:
        Constant Field Values

    - #### Button4MotionMask

          static final int Button4MotionMask

      See Also:
        Constant Field Values

    - #### Button5MotionMask

          static final int Button5MotionMask

      See Also:
        Constant Field Values

    - #### ButtonMotionMask

          static final int ButtonMotionMask

      See Also:
        Constant Field Values

    - #### KeymapStateMask

          static final int KeymapStateMask

      See Also:
        Constant Field Values

    - #### ExposureMask

          static final int ExposureMask

      See Also:
        Constant Field Values

    - #### VisibilityChangeMask

          static final int VisibilityChangeMask

      See Also:
        Constant Field Values

    - #### StructureNotifyMask

          static final int StructureNotifyMask

      See Also:
        Constant Field Values

    - #### ResizeRedirectMask

          static final int ResizeRedirectMask

      See Also:
        Constant Field Values

    - #### SubstructureNotifyMask

          static final int SubstructureNotifyMask

      See Also:
        Constant Field Values

    - #### SubstructureRedirectMask

          static final int SubstructureRedirectMask

      See Also:
        Constant Field Values

    - #### FocusChangeMask

          static final int FocusChangeMask

      See Also:
        Constant Field Values

    - #### PropertyChangeMask

          static final int PropertyChangeMask

      See Also:
        Constant Field Values

    - #### ColormapChangeMask

          static final int ColormapChangeMask

      See Also:
        Constant Field Values

    - #### OwnerGrabButtonMask

          static final int OwnerGrabButtonMask

      See Also:
        Constant Field Values

    - #### KeyPress

          static final int KeyPress

      See Also:
        Constant Field Values

    - #### KeyRelease

          static final int KeyRelease

      See Also:
        Constant Field Values

    - #### ButtonPress

          static final int ButtonPress

      See Also:
        Constant Field Values

    - #### ButtonRelease

          static final int ButtonRelease

      See Also:
        Constant Field Values

    - #### MotionNotify

          static final int MotionNotify

      See Also:
        Constant Field Values

    - #### EnterNotify

          static final int EnterNotify

      See Also:
        Constant Field Values

    - #### LeaveNotify

          static final int LeaveNotify

      See Also:
        Constant Field Values

    - #### FocusIn

          static final int FocusIn

      See Also:
        Constant Field Values

    - #### FocusOut

          static final int FocusOut

      See Also:
        Constant Field Values

    - #### KeymapNotify

          static final int KeymapNotify

      See Also:
        Constant Field Values

    - #### Expose

          static final int Expose

      See Also:
        Constant Field Values

    - #### GraphicsExpose

          static final int GraphicsExpose

      See Also:
        Constant Field Values

    - #### NoExpose

          static final int NoExpose

      See Also:
        Constant Field Values

    - #### VisibilityNotify

          static final int VisibilityNotify

      See Also:
        Constant Field Values

    - #### CreateNotify

          static final int CreateNotify

      See Also:
        Constant Field Values

    - #### DestroyNotify

          static final int DestroyNotify

      See Also:
        Constant Field Values

    - #### UnmapNotify

          static final int UnmapNotify

      See Also:
        Constant Field Values

    - #### MapNotify

          static final int MapNotify

      See Also:
        Constant Field Values

    - #### MapRequest

          static final int MapRequest

      See Also:
        Constant Field Values

    - #### ReparentNotify

          static final int ReparentNotify

      See Also:
        Constant Field Values

    - #### ConfigureNotify

          static final int ConfigureNotify

      See Also:
        Constant Field Values

    - #### ConfigureRequest

          static final int ConfigureRequest

      See Also:
        Constant Field Values

    - #### GravityNotify

          static final int GravityNotify

      See Also:
        Constant Field Values

    - #### ResizeRequest

          static final int ResizeRequest

      See Also:
        Constant Field Values

    - #### CirculateNotify

          static final int CirculateNotify

      See Also:
        Constant Field Values

    - #### CirculateRequest

          static final int CirculateRequest

      See Also:
        Constant Field Values

    - #### PropertyNotify

          static final int PropertyNotify

      See Also:
        Constant Field Values

    - #### SelectionClear

          static final int SelectionClear

      See Also:
        Constant Field Values

    - #### SelectionRequest

          static final int SelectionRequest

      See Also:
        Constant Field Values

    - #### SelectionNotify

          static final int SelectionNotify

      See Also:
        Constant Field Values

    - #### ColormapNotify

          static final int ColormapNotify

      See Also:
        Constant Field Values

    - #### ClientMessage

          static final int ClientMessage

      See Also:
        Constant Field Values

    - #### MappingNotify

          static final int MappingNotify

      See Also:
        Constant Field Values

    - #### LASTEvent

          static final int LASTEvent

      See Also:
        Constant Field Values

    - #### ShiftMask

          static final int ShiftMask

      See Also:
        Constant Field Values

    - #### LockMask

          static final int LockMask

      See Also:
        Constant Field Values

    - #### ControlMask

          static final int ControlMask

      See Also:
        Constant Field Values

    - #### Mod1Mask

          static final int Mod1Mask

      See Also:
        Constant Field Values

    - #### Mod2Mask

          static final int Mod2Mask

      See Also:
        Constant Field Values

    - #### Mod3Mask

          static final int Mod3Mask

      See Also:
        Constant Field Values

    - #### Mod4Mask

          static final int Mod4Mask

      See Also:
        Constant Field Values

    - #### Mod5Mask

          static final int Mod5Mask

      See Also:
        Constant Field Values

    - #### ShiftMapIndex

          static final int ShiftMapIndex

      See Also:
        Constant Field Values

    - #### LockMapIndex

          static final int LockMapIndex

      See Also:
        Constant Field Values

    - #### ControlMapIndex

          static final int ControlMapIndex

      See Also:
        Constant Field Values

    - #### Mod1MapIndex

          static final int Mod1MapIndex

      See Also:
        Constant Field Values

    - #### Mod2MapIndex

          static final int Mod2MapIndex

      See Also:
        Constant Field Values

    - #### Mod3MapIndex

          static final int Mod3MapIndex

      See Also:
        Constant Field Values

    - #### Mod4MapIndex

          static final int Mod4MapIndex

      See Also:
        Constant Field Values

    - #### Mod5MapIndex

          static final int Mod5MapIndex

      See Also:
        Constant Field Values

    - #### Button1Mask

          static final int Button1Mask

      See Also:
        Constant Field Values

    - #### Button2Mask

          static final int Button2Mask

      See Also:
        Constant Field Values

    - #### Button3Mask

          static final int Button3Mask

      See Also:
        Constant Field Values

    - #### Button4Mask

          static final int Button4Mask

      See Also:
        Constant Field Values

    - #### Button5Mask

          static final int Button5Mask

      See Also:
        Constant Field Values

    - #### AnyModifier

          static final int AnyModifier

      See Also:
        Constant Field Values

    - #### Button1

          static final int Button1

      See Also:
        Constant Field Values

    - #### Button2

          static final int Button2

      See Also:
        Constant Field Values

    - #### Button3

          static final int Button3

      See Also:
        Constant Field Values

    - #### Button4

          static final int Button4

      See Also:
        Constant Field Values

    - #### Button5

          static final int Button5

      See Also:
        Constant Field Values

    - #### NotifyNormal

          static final int NotifyNormal

      See Also:
        Constant Field Values

    - #### NotifyGrab

          static final int NotifyGrab

      See Also:
        Constant Field Values

    - #### NotifyUngrab

          static final int NotifyUngrab

      See Also:
        Constant Field Values

    - #### NotifyWhileGrabbed

          static final int NotifyWhileGrabbed

      See Also:
        Constant Field Values

    - #### NotifyHint

          static final int NotifyHint

      See Also:
        Constant Field Values

    - #### NotifyAncestor

          static final int NotifyAncestor

      See Also:
        Constant Field Values

    - #### NotifyVirtual

          static final int NotifyVirtual

      See Also:
        Constant Field Values

    - #### NotifyInferior

          static final int NotifyInferior

      See Also:
        Constant Field Values

    - #### NotifyNonlinear

          static final int NotifyNonlinear

      See Also:
        Constant Field Values

    - #### NotifyNonlinearVirtual

          static final int NotifyNonlinearVirtual

      See Also:
        Constant Field Values

    - #### NotifyPointer

          static final int NotifyPointer

      See Also:
        Constant Field Values

    - #### NotifyPointerRoot

          static final int NotifyPointerRoot

      See Also:
        Constant Field Values

    - #### NotifyDetailNone

          static final int NotifyDetailNone

      See Also:
        Constant Field Values

    - #### VisibilityUnobscured

          static final int VisibilityUnobscured

      See Also:
        Constant Field Values

    - #### VisibilityPartiallyObscured

          static final int VisibilityPartiallyObscured

      See Also:
        Constant Field Values

    - #### VisibilityFullyObscured

          static final int VisibilityFullyObscured

      See Also:
        Constant Field Values

    - #### PlaceOnTop

          static final int PlaceOnTop

      See Also:
        Constant Field Values

    - #### PlaceOnBottom

          static final int PlaceOnBottom

      See Also:
        Constant Field Values

    - #### FamilyInternet

          static final int FamilyInternet

      See Also:
        Constant Field Values

    - #### FamilyDECnet

          static final int FamilyDECnet

      See Also:
        Constant Field Values

    - #### FamilyChaos

          static final int FamilyChaos

      See Also:
        Constant Field Values

    - #### FamilyInternet6

          static final int FamilyInternet6

      See Also:
        Constant Field Values

    - #### FamilyServerInterpreted

          static final int FamilyServerInterpreted

      See Also:
        Constant Field Values

    - #### PropertyNewValue

          static final int PropertyNewValue

      See Also:
        Constant Field Values

    - #### PropertyDelete

          static final int PropertyDelete

      See Also:
        Constant Field Values

    - #### ColormapUninstalled

          static final int ColormapUninstalled

      See Also:
        Constant Field Values

    - #### ColormapInstalled

          static final int ColormapInstalled

      See Also:
        Constant Field Values

    - #### GrabModeSync

          static final int GrabModeSync

      See Also:
        Constant Field Values

    - #### GrabModeAsync

          static final int GrabModeAsync

      See Also:
        Constant Field Values

    - #### GrabSuccess

          static final int GrabSuccess

      See Also:
        Constant Field Values

    - #### AlreadyGrabbed

          static final int AlreadyGrabbed

      See Also:
        Constant Field Values

    - #### GrabInvalidTime

          static final int GrabInvalidTime

      See Also:
        Constant Field Values

    - #### GrabNotViewable

          static final int GrabNotViewable

      See Also:
        Constant Field Values

    - #### GrabFrozen

          static final int GrabFrozen

      See Also:
        Constant Field Values

    - #### AsyncPointer

          static final int AsyncPointer

      See Also:
        Constant Field Values

    - #### SyncPointer

          static final int SyncPointer

      See Also:
        Constant Field Values

    - #### ReplayPointer

          static final int ReplayPointer

      See Also:
        Constant Field Values

    - #### AsyncKeyboard

          static final int AsyncKeyboard

      See Also:
        Constant Field Values

    - #### SyncKeyboard

          static final int SyncKeyboard

      See Also:
        Constant Field Values

    - #### ReplayKeyboard

          static final int ReplayKeyboard

      See Also:
        Constant Field Values

    - #### AsyncBoth

          static final int AsyncBoth

      See Also:
        Constant Field Values

    - #### SyncBoth

          static final int SyncBoth

      See Also:
        Constant Field Values

    - #### RevertToNone

          static final int RevertToNone

      See Also:
        Constant Field Values

    - #### RevertToPointerRoot

          static final int RevertToPointerRoot

      See Also:
        Constant Field Values

    - #### RevertToParent

          static final int RevertToParent

      See Also:
        Constant Field Values

    - #### Success

          static final int Success

      ERROR CODES
      See Also:
        Constant Field Values

    - #### BadRequest

          static final int BadRequest

      See Also:
        Constant Field Values

    - #### BadValue

          static final int BadValue

      See Also:
        Constant Field Values

    - #### BadWindow

          static final int BadWindow

      See Also:
        Constant Field Values

    - #### BadPixmap

          static final int BadPixmap

      See Also:
        Constant Field Values

    - #### BadAtom

          static final int BadAtom

      See Also:
        Constant Field Values

    - #### BadCursor

          static final int BadCursor

      See Also:
        Constant Field Values

    - #### BadFont

          static final int BadFont

      See Also:
        Constant Field Values

    - #### BadMatch

          static final int BadMatch

      See Also:
        Constant Field Values

    - #### BadDrawable

          static final int BadDrawable

      See Also:
        Constant Field Values

    - #### BadAccess

          static final int BadAccess

      See Also:
        Constant Field Values

    - #### BadAlloc

          static final int BadAlloc

      See Also:
        Constant Field Values

    - #### BadColor

          static final int BadColor

      See Also:
        Constant Field Values

    - #### BadGC

          static final int BadGC

      See Also:
        Constant Field Values

    - #### BadIDChoice

          static final int BadIDChoice

      See Also:
        Constant Field Values

    - #### BadName

          static final int BadName

      See Also:
        Constant Field Values

    - #### BadLength

          static final int BadLength

      See Also:
        Constant Field Values

    - #### BadImplementation

          static final int BadImplementation

      See Also:
        Constant Field Values

    - #### FirstExtensionError

          static final int FirstExtensionError

      See Also:
        Constant Field Values

    - #### LastExtensionError

          static final int LastExtensionError

      See Also:
        Constant Field Values

    - #### InputOutput

          static final int InputOutput

      WINDOW DEFINITIONS
      See Also:
        Constant Field Values

    - #### InputOnly

          static final int InputOnly

      See Also:
        Constant Field Values

    - #### CWBackPixmap

          static final int CWBackPixmap

      See Also:
        Constant Field Values

    - #### CWBackPixel

          static final int CWBackPixel

      See Also:
        Constant Field Values

    - #### CWBorderPixmap

          static final int CWBorderPixmap

      See Also:
        Constant Field Values

    - #### CWBorderPixel

          static final int CWBorderPixel

      See Also:
        Constant Field Values

    - #### CWBitGravity

          static final int CWBitGravity

      See Also:
        Constant Field Values

    - #### CWWinGravity

          static final int CWWinGravity

      See Also:
        Constant Field Values

    - #### CWBackingStore

          static final int CWBackingStore

      See Also:
        Constant Field Values

    - #### CWBackingPlanes

          static final int CWBackingPlanes

      See Also:
        Constant Field Values

    - #### CWBackingPixel

          static final int CWBackingPixel

      See Also:
        Constant Field Values

    - #### CWOverrideRedirect

          static final int CWOverrideRedirect

      See Also:
        Constant Field Values

    - #### CWSaveUnder

          static final int CWSaveUnder

      See Also:
        Constant Field Values

    - #### CWEventMask

          static final int CWEventMask

      See Also:
        Constant Field Values

    - #### CWDontPropagate

          static final int CWDontPropagate

      See Also:
        Constant Field Values

    - #### CWColormap

          static final int CWColormap

      See Also:
        Constant Field Values

    - #### CWCursor

          static final int CWCursor

      See Also:
        Constant Field Values

    - #### CWX

          static final int CWX

      See Also:
        Constant Field Values

    - #### CWY

          static final int CWY

      See Also:
        Constant Field Values

    - #### CWWidth

          static final int CWWidth

      See Also:
        Constant Field Values

    - #### CWHeight

          static final int CWHeight

      See Also:
        Constant Field Values

    - #### CWBorderWidth

          static final int CWBorderWidth

      See Also:
        Constant Field Values

    - #### CWSibling

          static final int CWSibling

      See Also:
        Constant Field Values

    - #### CWStackMode

          static final int CWStackMode

      See Also:
        Constant Field Values

    - #### ForgetGravity

          static final int ForgetGravity

      See Also:
        Constant Field Values

    - #### NorthWestGravity

          static final int NorthWestGravity

      See Also:
        Constant Field Values

    - #### NorthGravity

          static final int NorthGravity

      See Also:
        Constant Field Values

    - #### NorthEastGravity

          static final int NorthEastGravity

      See Also:
        Constant Field Values

    - #### WestGravity

          static final int WestGravity

      See Also:
        Constant Field Values

    - #### CenterGravity

          static final int CenterGravity

      See Also:
        Constant Field Values

    - #### EastGravity

          static final int EastGravity

      See Also:
        Constant Field Values

    - #### SouthWestGravity

          static final int SouthWestGravity

      See Also:
        Constant Field Values

    - #### SouthGravity

          static final int SouthGravity

      See Also:
        Constant Field Values

    - #### SouthEastGravity

          static final int SouthEastGravity

      See Also:
        Constant Field Values

    - #### StaticGravity

          static final int StaticGravity

      See Also:
        Constant Field Values

    - #### UnmapGravity

          static final int UnmapGravity

      See Also:
        Constant Field Values

    - #### NotUseful

          static final int NotUseful

      See Also:
        Constant Field Values

    - #### WhenMapped

          static final int WhenMapped

      See Also:
        Constant Field Values

    - #### Always

          static final int Always

      See Also:
        Constant Field Values

    - #### IsUnmapped

          static final int IsUnmapped

      See Also:
        Constant Field Values

    - #### IsUnviewable

          static final int IsUnviewable

      See Also:
        Constant Field Values

    - #### IsViewable

          static final int IsViewable

      See Also:
        Constant Field Values

    - #### SetModeInsert

          static final int SetModeInsert

      See Also:
        Constant Field Values

    - #### SetModeDelete

          static final int SetModeDelete

      See Also:
        Constant Field Values

    - #### DestroyAll

          static final int DestroyAll

      See Also:
        Constant Field Values

    - #### RetainPermanent

          static final int RetainPermanent

      See Also:
        Constant Field Values

    - #### RetainTemporary

          static final int RetainTemporary

      See Also:
        Constant Field Values

    - #### Above

          static final int Above

      See Also:
        Constant Field Values

    - #### Below

          static final int Below

      See Also:
        Constant Field Values

    - #### TopIf

          static final int TopIf

      See Also:
        Constant Field Values

    - #### BottomIf

          static final int BottomIf

      See Also:
        Constant Field Values

    - #### Opposite

          static final int Opposite

      See Also:
        Constant Field Values

    - #### RaiseLowest

          static final int RaiseLowest

      See Also:
        Constant Field Values

    - #### LowerHighest

          static final int LowerHighest

      See Also:
        Constant Field Values

    - #### PropModeReplace

          static final int PropModeReplace

      See Also:
        Constant Field Values

    - #### PropModePrepend

          static final int PropModePrepend

      See Also:
        Constant Field Values

    - #### PropModeAppend

          static final int PropModeAppend

      See Also:
        Constant Field Values

    - #### GXclear

          static final int GXclear

      GRAPHICS DEFINITIONS
      See Also:
        Constant Field Values

    - #### GXand

          static final int GXand

      See Also:
        Constant Field Values

    - #### GXandReverse

          static final int GXandReverse

      See Also:
        Constant Field Values

    - #### GXcopy

          static final int GXcopy

      See Also:
        Constant Field Values

    - #### GXandInverted

          static final int GXandInverted

      See Also:
        Constant Field Values

    - #### GXnoop

          static final int GXnoop

      See Also:
        Constant Field Values

    - #### GXxor

          static final int GXxor

      See Also:
        Constant Field Values

    - #### GXor

          static final int GXor

      See Also:
        Constant Field Values

    - #### GXnor

          static final int GXnor

      See Also:
        Constant Field Values

    - #### GXequiv

          static final int GXequiv

      See Also:
        Constant Field Values

    - #### GXinvert

          static final int GXinvert

      See Also:
        Constant Field Values

    - #### GXorReverse

          static final int GXorReverse

      See Also:
        Constant Field Values

    - #### GXcopyInverted

          static final int GXcopyInverted

      See Also:
        Constant Field Values

    - #### GXorInverted

          static final int GXorInverted

      See Also:
        Constant Field Values

    - #### GXnand

          static final int GXnand

      See Also:
        Constant Field Values

    - #### GXset

          static final int GXset

      See Also:
        Constant Field Values

    - #### LineSolid

          static final int LineSolid

      See Also:
        Constant Field Values

    - #### LineOnOffDash

          static final int LineOnOffDash

      See Also:
        Constant Field Values

    - #### LineDoubleDash

          static final int LineDoubleDash

      See Also:
        Constant Field Values

    - #### CapNotLast

          static final int CapNotLast

      See Also:
        Constant Field Values

    - #### CapButt

          static final int CapButt

      See Also:
        Constant Field Values

    - #### CapRound

          static final int CapRound

      See Also:
        Constant Field Values

    - #### CapProjecting

          static final int CapProjecting

      See Also:
        Constant Field Values

    - #### JoinMiter

          static final int JoinMiter

      See Also:
        Constant Field Values

    - #### JoinRound

          static final int JoinRound

      See Also:
        Constant Field Values

    - #### JoinBevel

          static final int JoinBevel

      See Also:
        Constant Field Values

    - #### FillSolid

          static final int FillSolid

      See Also:
        Constant Field Values

    - #### FillTiled

          static final int FillTiled

      See Also:
        Constant Field Values

    - #### FillStippled

          static final int FillStippled

      See Also:
        Constant Field Values

    - #### FillOpaqueStippled

          static final int FillOpaqueStippled

      See Also:
        Constant Field Values

    - #### EvenOddRule

          static final int EvenOddRule

      See Also:
        Constant Field Values

    - #### WindingRule

          static final int WindingRule

      See Also:
        Constant Field Values

    - #### ClipByChildren

          static final int ClipByChildren

      See Also:
        Constant Field Values

    - #### IncludeInferiors

          static final int IncludeInferiors

      See Also:
        Constant Field Values

    - #### Unsorted

          static final int Unsorted

      See Also:
        Constant Field Values

    - #### YSorted

          static final int YSorted

      See Also:
        Constant Field Values

    - #### YXSorted

          static final int YXSorted

      See Also:
        Constant Field Values

    - #### YXBanded

          static final int YXBanded

      See Also:
        Constant Field Values

    - #### CoordModeOrigin

          static final int CoordModeOrigin

      See Also:
        Constant Field Values

    - #### CoordModePrevious

          static final int CoordModePrevious

      See Also:
        Constant Field Values

    - #### Complex

          static final int Complex

      See Also:
        Constant Field Values

    - #### Nonconvex

          static final int Nonconvex

      See Also:
        Constant Field Values

    - #### Convex

          static final int Convex

      See Also:
        Constant Field Values

    - #### ArcChord

          static final int ArcChord

      See Also:
        Constant Field Values

    - #### ArcPieSlice

          static final int ArcPieSlice

      See Also:
        Constant Field Values

    - #### GCFunction

          static final int GCFunction

      See Also:
        Constant Field Values

    - #### GCPlaneMask

          static final int GCPlaneMask

      See Also:
        Constant Field Values

    - #### GCForeground

          static final int GCForeground

      See Also:
        Constant Field Values

    - #### GCBackground

          static final int GCBackground

      See Also:
        Constant Field Values

    - #### GCLineWidth

          static final int GCLineWidth

      See Also:
        Constant Field Values

    - #### GCLineStyle

          static final int GCLineStyle

      See Also:
        Constant Field Values

    - #### GCCapStyle

          static final int GCCapStyle

      See Also:
        Constant Field Values

    - #### GCJoinStyle

          static final int GCJoinStyle

      See Also:
        Constant Field Values

    - #### GCFillStyle

          static final int GCFillStyle

      See Also:
        Constant Field Values

    - #### GCFillRule

          static final int GCFillRule

      See Also:
        Constant Field Values

    - #### GCTile

          static final int GCTile

      See Also:
        Constant Field Values

    - #### GCStipple

          static final int GCStipple

      See Also:
        Constant Field Values

    - #### GCTileStipXOrigin

          static final int GCTileStipXOrigin

      See Also:
        Constant Field Values

    - #### GCTileStipYOrigin

          static final int GCTileStipYOrigin

      See Also:
        Constant Field Values

    - #### GCFont

          static final int GCFont

      See Also:
        Constant Field Values

    - #### GCSubwindowMode

          static final int GCSubwindowMode

      See Also:
        Constant Field Values

    - #### GCGraphicsExposures

          static final int GCGraphicsExposures

      See Also:
        Constant Field Values

    - #### GCClipXOrigin

          static final int GCClipXOrigin

      See Also:
        Constant Field Values

    - #### GCClipYOrigin

          static final int GCClipYOrigin

      See Also:
        Constant Field Values

    - #### GCClipMask

          static final int GCClipMask

      See Also:
        Constant Field Values

    - #### GCDashOffset

          static final int GCDashOffset

      See Also:
        Constant Field Values

    - #### GCDashList

          static final int GCDashList

      See Also:
        Constant Field Values

    - #### GCArcMode

          static final int GCArcMode

      See Also:
        Constant Field Values

    - #### GCLastBit

          static final int GCLastBit

      See Also:
        Constant Field Values

    - #### FontLeftToRight

          static final int FontLeftToRight

      FONTS
      See Also:
        Constant Field Values

    - #### FontRightToLeft

          static final int FontRightToLeft

      See Also:
        Constant Field Values

    - #### FontChange

          static final int FontChange

      See Also:
        Constant Field Values

    - #### XYBitmap

          static final int XYBitmap

      IMAGING
      See Also:
        Constant Field Values

    - #### XYPixmap

          static final int XYPixmap

      See Also:
        Constant Field Values

    - #### ZPixmap

          static final int ZPixmap

      See Also:
        Constant Field Values

    - #### AllocNone

          static final int AllocNone

      COLOR MAP STUFF
      See Also:
        Constant Field Values

    - #### AllocAll

          static final int AllocAll

      See Also:
        Constant Field Values

    - #### DoRed

          static final int DoRed

      See Also:
        Constant Field Values

    - #### DoGreen

          static final int DoGreen

      See Also:
        Constant Field Values

    - #### DoBlue

          static final int DoBlue

      See Also:
        Constant Field Values

    - #### CursorShape

          static final int CursorShape

      CURSOR STUFF
      See Also:
        Constant Field Values

    - #### TileShape

          static final int TileShape

      See Also:
        Constant Field Values

    - #### StippleShape

          static final int StippleShape

      See Also:
        Constant Field Values

    - #### AutoRepeatModeOff

          static final int AutoRepeatModeOff

      KEYBOARD/POINTER STUFF
      See Also:
        Constant Field Values

    - #### AutoRepeatModeOn

          static final int AutoRepeatModeOn

      See Also:
        Constant Field Values

    - #### AutoRepeatModeDefault

          static final int AutoRepeatModeDefault

      See Also:
        Constant Field Values

    - #### LedModeOff

          static final int LedModeOff

      See Also:
        Constant Field Values

    - #### LedModeOn

          static final int LedModeOn

      See Also:
        Constant Field Values

    - #### KBKeyClickPercent

          static final int KBKeyClickPercent

      See Also:
        Constant Field Values

    - #### KBBellPercent

          static final int KBBellPercent

      See Also:
        Constant Field Values

    - #### KBBellPitch

          static final int KBBellPitch

      See Also:
        Constant Field Values

    - #### KBBellDuration

          static final int KBBellDuration

      See Also:
        Constant Field Values

    - #### KBLed

          static final int KBLed

      See Also:
        Constant Field Values

    - #### KBLedMode

          static final int KBLedMode

      See Also:
        Constant Field Values

    - #### KBKey

          static final int KBKey

      See Also:
        Constant Field Values

    - #### KBAutoRepeatMode

          static final int KBAutoRepeatMode

      See Also:
        Constant Field Values

    - #### MappingSuccess

          static final int MappingSuccess

      See Also:
        Constant Field Values

    - #### MappingBusy

          static final int MappingBusy

      See Also:
        Constant Field Values

    - #### MappingFailed

          static final int MappingFailed

      See Also:
        Constant Field Values

    - #### MappingModifier

          static final int MappingModifier

      See Also:
        Constant Field Values

    - #### MappingKeyboard

          static final int MappingKeyboard

      See Also:
        Constant Field Values

    - #### MappingPointer

          static final int MappingPointer

      See Also:
        Constant Field Values

    - #### DontPreferBlanking

          static final int DontPreferBlanking

      SCREEN SAVER STUFF
      See Also:
        Constant Field Values

    - #### PreferBlanking

          static final int PreferBlanking

      See Also:
        Constant Field Values

    - #### DefaultBlanking

          static final int DefaultBlanking

      See Also:
        Constant Field Values

    - #### DisableScreenSaver

          static final int DisableScreenSaver

      See Also:
        Constant Field Values

    - #### DisableScreenInterval

          static final int DisableScreenInterval

      See Also:
        Constant Field Values

    - #### DontAllowExposures

          static final int DontAllowExposures

      See Also:
        Constant Field Values

    - #### AllowExposures

          static final int AllowExposures

      See Also:
        Constant Field Values

    - #### DefaultExposures

          static final int DefaultExposures

      See Also:
        Constant Field Values

    - #### ScreenSaverReset

          static final int ScreenSaverReset

      See Also:
        Constant Field Values

    - #### ScreenSaverActive

          static final int ScreenSaverActive

      See Also:
        Constant Field Values

    - #### HostInsert

          static final int HostInsert

      HOSTS AND CONNECTIONS
      See Also:
        Constant Field Values

    - #### HostDelete

          static final int HostDelete

      See Also:
        Constant Field Values

    - #### EnableAccess

          static final int EnableAccess

      See Also:
        Constant Field Values

    - #### DisableAccess

          static final int DisableAccess

      See Also:
        Constant Field Values

    - #### StaticGray

          static final int StaticGray

      See Also:
        Constant Field Values

    - #### GrayScale

          static final int GrayScale

      See Also:
        Constant Field Values

    - #### StaticColor

          static final int StaticColor

      See Also:
        Constant Field Values

    - #### PseudoColor

          static final int PseudoColor

      See Also:
        Constant Field Values

    - #### TrueColor

          static final int TrueColor

      See Also:
        Constant Field Values

    - #### DirectColor

          static final int DirectColor

      See Also:
        Constant Field Values

    - #### LSBFirst

          static final int LSBFirst

      See Also:
        Constant Field Values

    - #### MSBFirst

          static final int MSBFirst

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### XOpenDisplay

          X11.Display XOpenDisplay(java.lang.String name)

    - #### XGetErrorText

          int XGetErrorText(X11.Display display,
                            int code,
                            byte[] buffer,
                            int len)

    - #### XDefaultScreen

          int XDefaultScreen(X11.Display display)

    - #### DefaultScreenOfDisplay

          X11.Screen DefaultScreenOfDisplay(X11.Display display)

    - #### XDefaultVisual

          X11.Visual XDefaultVisual(X11.Display display,
                                    int screen)

    - #### XDefaultColormap

          X11.Colormap XDefaultColormap(X11.Display display,
                                        int screen)

    - #### XDisplayWidth

          int XDisplayWidth(X11.Display display,
                            int screen)

    - #### XDisplayHeight

          int XDisplayHeight(X11.Display display,
                             int screen)

    - #### XDefaultRootWindow

          X11.Window XDefaultRootWindow(X11.Display display)

    - #### XRootWindow

          X11.Window XRootWindow(X11.Display display,
                                 int screen)

    - #### XAllocNamedColor

          int XAllocNamedColor(X11.Display display,
                               int colormap,
                               java.lang.String color_name,
                               Pointer screen_def_return,
                               Pointer exact_def_return)

    - #### XAllocSizeHints

          X11.XSizeHints XAllocSizeHints()

    - #### XSetWMProperties

          void XSetWMProperties(X11.Display display,
                                X11.Window window,
                                java.lang.String window_name,
                                java.lang.String icon_name,
                                java.lang.String[] argv,
                                int argc,
                                X11.XSizeHints normal_hints,
                                Pointer wm_hints,
                                Pointer class_hints)

    - #### XSetWMProtocols

          int XSetWMProtocols(X11.Display display,
                              X11.Window window,
                              X11.Atom[] atom,
                              int count)

    - #### XGetWMProtocols

          int XGetWMProtocols(X11.Display display,
                              X11.Window w,
                              PointerByReference protocols_return,
                              IntByReference count_return)

    - #### XFree

          int XFree(Pointer data)

    - #### XCreateSimpleWindow

          X11.Window XCreateSimpleWindow(X11.Display display,
                                         X11.Window parent,
                                         int x,
                                         int y,
                                         int width,
                                         int height,
                                         int border_width,
                                         int border,
                                         int background)

    - #### XCreateBitmapFromData

          X11.Pixmap XCreateBitmapFromData(X11.Display display,
                                           X11.Window window,
                                           Pointer data,
                                           int width,
                                           int height)

    - #### XMapWindow

          int XMapWindow(X11.Display display,
                         X11.Window window)

    - #### XMapRaised

          int XMapRaised(X11.Display display,
                         X11.Window window)

    - #### XMapSubwindows

          int XMapSubwindows(X11.Display display,
                             X11.Window window)

    - #### XFlush

          int XFlush(X11.Display display)

      Flushes the output buffer. Most client applications need not use this function because the output buffer is automatically flushed as needed by calls to XPending, XNextEvent, and XWindowEvent. Events generated by the server may be enqueued into the library's event queue.
      Parameters:
        `display` - target Display
      Returns:
        status

    - #### XSync

          int XSync(X11.Display display,
                    boolean discard)

      Flushes the output buffer and then waits until all requests have been received and processed by the X server. Any errors generated must be handled by the error handler. For each protocol error received by Xlib, XSync calls the client application's error handling routine (see section 11.8.2). Any events generated by the server are enqueued into the library's event queue.

      Finally, if you passed False, XSync does not discard the events in the queue. If you passed True, XSync discards all events in the queue, including those events that were on the queue before XSync was called. Client applications seldom need to call XSync.
      Parameters:
        `display` - target Display
        `discard` - whether to discard events
      Returns:
        status

    - #### XEventsQueued

          int XEventsQueued(X11.Display display,
                            int mode)

      If mode is QueuedAlready, XEventsQueued returns the number of events already in the event queue (and never performs a system call). If mode is QueuedAfterFlush, XEventsQueued returns the number of events already in the queue if the number is nonzero. If there are no events in the queue, XEventsQueued flushes the output buffer, attempts to read more events out of the application's connection, and returns the number read. If mode is QueuedAfterReading, XEventsQueued returns the number of events already in the queue if the number is nonzero. If there are no events in the queue, XEventsQueued attempts to read more events out of the application's connection without flushing the output buffer and returns the number read.

      XEventsQueued always returns immediately without I/O if there are events already in the queue. XEventsQueued with mode QueuedAfterFlush is identical in behavior to XPending. XEventsQueued with mode QueuedAlready is identical to the XQLength function.
      Parameters:
        `display` - target Display
        `mode` - QueuedAlready, QueuedAfterFlush, or QueuedAfterReading
      Returns:
        status

    - #### XPending

          int XPending(X11.Display display)

      Returns the number of events that have been received from the X server but have not been removed from the event queue. XPending is identical to XEventsQueued with the mode QueuedAfterFlush specified.
      Parameters:
        `display` - target Display
      Returns:
        status

    - #### XUnmapWindow

          int XUnmapWindow(X11.Display display,
                           X11.Window window)

    - #### XDestroyWindow

          int XDestroyWindow(X11.Display display,
                             X11.Window window)

    - #### XCloseDisplay

          int XCloseDisplay(X11.Display display)

    - #### XClearWindow

          int XClearWindow(X11.Display display,
                           X11.Window window)

    - #### XClearArea

          int XClearArea(X11.Display display,
                         X11.Window window,
                         int x,
                         int y,
                         int w,
                         int h,
                         int exposures)

    - #### XCreatePixmap

          X11.Pixmap XCreatePixmap(X11.Display display,
                                   X11.Drawable drawable,
                                   int width,
                                   int height,
                                   int depth)

    - #### XFreePixmap

          int XFreePixmap(X11.Display display,
                          X11.Pixmap pixmap)

    - #### XCreateGC

          X11.GC XCreateGC(X11.Display display,
                           X11.Drawable drawable,
                           NativeLong mask,
                           X11.XGCValues values)

    - #### XSetFillRule

          int XSetFillRule(X11.Display display,
                           X11.GC gc,
                           int fill_rule)

    - #### XFreeGC

          int XFreeGC(X11.Display display,
                      X11.GC gc)

    - #### XDrawPoint

          int XDrawPoint(X11.Display display,
                         X11.Drawable drawable,
                         X11.GC gc,
                         int x,
                         int y)

    - #### XDrawPoints

          int XDrawPoints(X11.Display display,
                          X11.Drawable drawable,
                          X11.GC gc,
                          X11.XPoint[] points,
                          int npoints,
                          int mode)

    - #### XFillRectangle

          int XFillRectangle(X11.Display display,
                             X11.Drawable drawable,
                             X11.GC gc,
                             int x,
                             int y,
                             int width,
                             int height)

    - #### XFillRectangles

          int XFillRectangles(X11.Display display,
                              X11.Drawable drawable,
                              X11.GC gc,
                              X11.XRectangle[] rectangles,
                              int nrectangles)

    - #### XSetForeground

          int XSetForeground(X11.Display display,
                             X11.GC gc,
                             NativeLong color)

    - #### XSetBackground

          int XSetBackground(X11.Display display,
                             X11.GC gc,
                             NativeLong color)

    - #### XFillArc

          int XFillArc(X11.Display display,
                       X11.Drawable drawable,
                       X11.GC gc,
                       int x,
                       int y,
                       int width,
                       int height,
                       int angle1,
                       int angle2)

    - #### XFillPolygon

          int XFillPolygon(X11.Display dpy,
                           X11.Drawable drawable,
                           X11.GC gc,
                           X11.XPoint[] points,
                           int npoints,
                           int shape,
                           int mode)

    - #### XQueryTree

          int XQueryTree(X11.Display display,
                         X11.Window window,
                         X11.WindowByReference root,
                         X11.WindowByReference parent,
                         PointerByReference children,
                         IntByReference childCount)

    - #### XQueryPointer

          boolean XQueryPointer(X11.Display display,
                                X11.Window window,
                                X11.WindowByReference root_return,
                                X11.WindowByReference child_return,
                                IntByReference root_x_return,
                                IntByReference root_y_return,
                                IntByReference win_x_return,
                                IntByReference win_y_return,
                                IntByReference mask_return)

    - #### XGetWindowAttributes

          int XGetWindowAttributes(X11.Display display,
                                   X11.Window window,
                                   X11.XWindowAttributes attributes)

    - #### XChangeWindowAttributes

          int XChangeWindowAttributes(X11.Display display,
                                      X11.Window window,
                                      NativeLong valuemask,
                                      X11.XSetWindowAttributes attributes)

    - #### XGetGeometry

          int XGetGeometry(X11.Display display,
                           X11.Drawable d,
                           X11.WindowByReference w,
                           IntByReference x,
                           IntByReference y,
                           IntByReference width,
                           IntByReference heigth,
                           IntByReference border_width,
                           IntByReference depth)

    - #### XTranslateCoordinates

          boolean XTranslateCoordinates(X11.Display display,
                                        X11.Window src_w,
                                        X11.Window dest_w,
                                        int src_x,
                                        int src_y,
                                        IntByReference dest_x_return,
                                        IntByReference dest_y_return,
                                        X11.WindowByReference child_return)

    - #### XSelectInput

          int XSelectInput(X11.Display display,
                           X11.Window window,
                           NativeLong eventMask)

    - #### XSendEvent

          int XSendEvent(X11.Display display,
                         X11.Window w,
                         int propagate,
                         NativeLong event_mask,
                         X11.XEvent event_send)

    - #### XNextEvent

          int XNextEvent(X11.Display display,
                         X11.XEvent event_return)

    - #### XPeekEvent

          int XPeekEvent(X11.Display display,
                         X11.XEvent event_return)

    - #### XWindowEvent

          int XWindowEvent(X11.Display display,
                           X11.Window w,
                           NativeLong event_mask,
                           X11.XEvent event_return)

    - #### XCheckWindowEvent

          boolean XCheckWindowEvent(X11.Display display,
                                    X11.Window w,
                                    NativeLong event_mask,
                                    X11.XEvent event_return)

    - #### XMaskEvent

          int XMaskEvent(X11.Display display,
                         NativeLong event_mask,
                         X11.XEvent event_return)

    - #### XCheckMaskEvent

          boolean XCheckMaskEvent(X11.Display display,
                                  NativeLong event_mask,
                                  X11.XEvent event_return)

    - #### XCheckTypedEvent

          boolean XCheckTypedEvent(X11.Display display,
                                   int event_type,
                                   X11.XEvent event_return)

    - #### XCheckTypedWindowEvent

          boolean XCheckTypedWindowEvent(X11.Display display,
                                         X11.Window w,
                                         int event_type,
                                         X11.XEvent event_return)

    - #### XGetWMHints

          X11.XWMHints XGetWMHints(X11.Display display,
                                   X11.Window window)

      Returns an `X11.XWMHints` which must be freed by `XFree(com.sun.jna.Pointer)`.
      Parameters:
        `display` - target Display
        `window` - target Window
      Returns:
        XWMHints structure for the requested window

    - #### XGetWMName

          int XGetWMName(X11.Display display,
                         X11.Window window,
                         X11.XTextProperty text_property_return)

    - #### XGetVisualInfo

          X11.XVisualInfo XGetVisualInfo(X11.Display display,
                                         NativeLong vinfo_mask,
                                         X11.XVisualInfo vinfo_template,
                                         IntByReference nitems_return)

      Returns an array of `X11.XVisualInfo` which must be freed by `XFree(com.sun.jna.Pointer)`. Use `toArray(nitems_return.getValue()` to obtain the array.
      Parameters:
        `display` - target Display
        `vinfo_mask` - mask of data to retrieve
        `vinfo_template` - template struct to use as basis for returned data
        `nitems_return` - number size of returned array
      Returns:
        returned array

    - #### XCreateColormap

          X11.Colormap XCreateColormap(X11.Display display,
                                       X11.Window w,
                                       X11.Visual visual,
                                       int alloc)

    - #### XGetWindowProperty

          int XGetWindowProperty(X11.Display display,
                                 X11.Window w,
                                 X11.Atom property,
                                 NativeLong long_offset,
                                 NativeLong long_length,
                                 boolean delete,
                                 X11.Atom reg_type,
                                 X11.AtomByReference actual_type_return,
                                 IntByReference actual_format_return,
                                 NativeLongByReference nitems_return,
                                 NativeLongByReference bytes_after_return,
                                 PointerByReference prop_return)

    - #### XChangeProperty

          int XChangeProperty(X11.Display display,
                              X11.Window w,
                              X11.Atom property,
                              X11.Atom type,
                              int format,
                              int mode,
                              Pointer data,
                              int nelements)

    - #### XDeleteProperty

          int XDeleteProperty(X11.Display display,
                              X11.Window w,
                              X11.Atom property)

    - #### XInternAtom

          X11.Atom XInternAtom(X11.Display display,
                               java.lang.String name,
                               boolean only_if_exists)

    - #### XGetAtomName

          java.lang.String XGetAtomName(X11.Display display,
                                        X11.Atom atom)

    - #### XCopyArea

          int XCopyArea(X11.Display dpy,
                        X11.Drawable src,
                        X11.Drawable dst,
                        X11.GC gc,
                        int src_x,
                        int src_y,
                        int w,
                        int h,
                        int dst_x,
                        int dst_y)

    - #### XCreateImage

          X11.XImage XCreateImage(X11.Display dpy,
                                  X11.Visual visual,
                                  int depth,
                                  int format,
                                  int offset,
                                  Pointer data,
                                  int width,
                                  int height,
                                  int bitmap_pad,
                                  int bytes_per_line)

    - #### XPutImage

          int XPutImage(X11.Display dpy,
                        X11.Drawable d,
                        X11.GC gc,
                        X11.XImage image,
                        int src_x,
                        int src_y,
                        int dest_x,
                        int dest_y,
                        int width,
                        int height)

    - #### XDestroyImage

          int XDestroyImage(X11.XImage image)

    - #### XSetErrorHandler

          X11.XErrorHandler XSetErrorHandler(X11.XErrorHandler handler)

      Installs an error handler
      Parameters:
        `handler` - Specifies the program's supplied error handler
      Returns:
        The previous error handler

    - #### XKeysymToString

          java.lang.String XKeysymToString(X11.KeySym keysym)

    - #### XStringToKeysym

          X11.KeySym XStringToKeysym(java.lang.String string)

    - #### XKeysymToKeycode

          byte XKeysymToKeycode(X11.Display display,
                                X11.KeySym keysym)

    - #### XKeycodeToKeysym

          X11.KeySym XKeycodeToKeysym(X11.Display display,
                                      byte keycode,
                                      int index)

    - #### XGrabKey

          int XGrabKey(X11.Display display,
                       int keyCode,
                       int modifiers,
                       X11.Window grab_window,
                       int ownerEvents,
                       int pointerMode,
                       int keyBoardMode)

      Establishes a passive grab on the keyboard
      Parameters:
        `display` - Specifies the connection to the X server.
        `keyCode` - Specifies the KeyCode or `AnyKey`.
        `modifiers` - Specifies the set of keymasks or `AnyModifier`. The mask is the bitwise inclusive OR of the valid keymask bits.
        `grab_window` - Specifies the grab window.
        `ownerEvents` - Specifies a Boolean value that indicates whether the keyboard events are to be reported as usual.
        `pointerMode` - Specifies further processing of pointer events. You can pass `GrabModeSync` or `GrabModeAsync`.
        `keyBoardMode` - Specifies further processing of keyboard events. You can pass `GrabModeSync` or `GrabModeAsync`.
      Returns:
        nothing

    - #### XUngrabKey

          int XUngrabKey(X11.Display display,
                         int keyCode,
                         int modifiers,
                         X11.Window grab_window)

      The XUngrabKey() function releases the key combination on the specified window if it was grabbed by this client.
      Parameters:
        `display` - Specifies the connection to the X server.
        `keyCode` - Specifies the KeyCode or `AnyKey`.
        `modifiers` - Specifies the set of keymasks or `AnyModifier`. The mask is the bitwise inclusive OR of the valid keymask bits
        `grab_window` - Specifies the grab window.
      Returns:
        nothing

    - #### XGrabKeyboard

          int XGrabKeyboard(X11.Display display,
                            X11.Window grab_window,
                            int owner_events,
                            int pointer_mode,
                            int keyboard_mode,
                            NativeLong time)

      Actively grabs control of the keyboard and generates FocusIn and FocusOut events
      Parameters:
        `display` - Specifies the connection to the X server.
        `grab_window` - Specifies the grab window.
        `owner_events` - Specifies a Boolean value that indicates whether the keyboard events are to be reported as usual.
        `pointer_mode` - Specifies further processing of pointer events. You can pass GrabModeSync or GrabModeAsync.
        `keyboard_mode` - Specifies further processing of keyboard events. You can pass GrabModeSync or GrabModeAsync.
        `time` - Specifies the time. You can pass either a timestamp or CurrentTime.
      Returns:
        nothing

    - #### XUngrabKeyboard

          int XUngrabKeyboard(X11.Display display,
                              NativeLong time)

      Releases the keyboard and any queued events if this client has it actively grabbed from either XGrabKeyboard() or XGrabKey().
      Parameters:
        `display` - Specifies the connection to the X server.
        `time` - Specifies the time. You can pass either a timestamp or CurrentTime.
      Returns:
        nothing

    - #### XFetchName

          int XFetchName(X11.Display display,
                         X11.Window window,
                         PointerByReference window_name_return)

      The XFetchName() function returns the name of the specified window. If it succeeds, it returns a nonzero status; otherwise, no name has been set for the window, and it returns zero. If the WM_NAME property has not been set for this window, XFetchName() sets window_name_return to NULL. If the data returned by the server is in the Latin Portable Character Encoding, then the returned string is in the Host Portable Character Encoding. Otherwise, the result is implementation dependent. When finished with it, a client must free the window name string using XFree().
      Parameters:
        `display` - Specifies the connection to the X server.
        `window` - Specifies the window.
        `window_name_return` - Returns the window name, which is a null-terminated string.
      Returns:
        Integer. Nonzero = success, zero = no name has been set.

    - #### XChangeKeyboardMapping

          int XChangeKeyboardMapping(X11.Display display,
                                     int first_keycode,
                                     int keysyms_per_keycode,
                                     X11.KeySym[] keysyms,
                                     int num_codes)

      Defines the symbols for the specified number of KeyCodes starting with first_keycode. The symbols for KeyCodes outside this range remain unchanged. The number of elements in keysyms must be: num_codes * keysyms_per_keycode. The specified first_keycode must be greater than or equal to min_keycode returned by XDisplayKeycodes, or a BadValue error results. In addition, the following expression must be less than or equal to max_keycode as returned by XDisplayKeycodes, or a BadValue error results: first_keycode + num_codes - 1.
      Parameters:
        `display` - target Display
        `first_keycode` - first keycode
        `keysyms_per_keycode` - number of syms per keycode
        `keysyms` - array of KeySym
        `num_codes` - number of keycodes to be changed
      Returns:
        status

    - #### XGetKeyboardMapping

          X11.KeySym XGetKeyboardMapping(X11.Display display,
                                         byte first_keycode,
                                         int keycode_count,
                                         IntByReference keysyms_per_keycode_return)

      Returns the symbols for the specified number of KeyCodes starting with first_keycode. The value specified in first_keycode must be greater than or equal to min_keycode as returned by XDisplayKeycodes, or a BadValue error results. In addition, the following expression must be less than or equal to max_keycode as returned by XDisplayKeycodes: first_keycode + keycode_count - 1. If this is not the case, a BadValue error results. The number of elements in the KeySyms list is: keycode_count * keysyms_per_keycode_return. KeySym number N, counting from zero, for KeyCode K has the following index in the list, counting from zero: (K - first_code) * keysyms_per_code_return + N. The X server arbitrarily chooses the keysyms_per_keycode_return value to be large enough to report all requested symbols. A special KeySym value of NoSymbol is used to fill in unused elements for individual KeyCodes. To free the storage returned by XGetKeyboardMapping, use XFree.
      Parameters:
        `display` - target Display
        `first_keycode` - first keycode to be changed or returned
        `keycode_count` - how many
        `keysyms_per_keycode_return` - number of syms per keycode
      Returns:
        KeySym for the requested code

    - #### XDisplayKeycodes

          int XDisplayKeycodes(X11.Display display,
                               IntByReference min_keycodes_return,
                               IntByReference max_keycodes_return)

      Returns the min-keycodes and max-keycodes supported by the specified display. The minimum number of KeyCodes returned is never less than 8, and the maximum number of KeyCodes returned is never greater than 255. Not all KeyCodes in this range are required to have corresponding keys.
      Parameters:
        `display` - target Display
        `min_keycodes_return` - smallest keycode
        `max_keycodes_return` - largest keycode
      Returns:
        status

    - #### XSetModifierMapping

          int XSetModifierMapping(X11.Display display,
                                  X11.XModifierKeymapRef modmap)

      Specifies the KeyCodes of the keys (if any) that are to be used as modifiers. If it succeeds, the X server generates a MappingNotify event, and XSetModifierMapping returns MappingSuccess. X permits at most 8 modifier keys. If more than 8 are specified in the XModifierKeymap structure, a BadLength error results.
      Parameters:
        `display` - target Display
        `modmap` - modifier specification
      Returns:
        status

    - #### XGetModifierMapping

          X11.XModifierKeymapRef XGetModifierMapping(X11.Display display)

      The XGetModifierMapping function returns a pointer to a newly created XModifierKeymap structure that contains the keys being used as modifiers. The structure should be freed after use by calling XFreeModifiermap. If only zero values appear in the set for any modifier, that modifier is disabled.
      Parameters:
        `display` - target Display
      Returns:
        modifier specification

    - #### XNewModifiermap

          X11.XModifierKeymapRef XNewModifiermap(int max_keys_per_mod)

      Returns a pointer to XModifierKeymap structure for later use.
      Parameters:
        `max_keys_per_mod` - number of keys to include in the mapping
      Returns:
        modifier specification struct

    - #### XInsertModifiermapEntry

          X11.XModifierKeymapRef XInsertModifiermapEntry(X11.XModifierKeymapRef modmap,
                                                         byte keycode_entry,
                                                         int modifier)

      Adds the specified KeyCode to the set that controls the specified modifier and returns the resulting XModifierKeymap structure (expanded as needed).
      Parameters:
        `modmap` - modifier map
        `keycode_entry` - keycode entry
        `modifier` - modifier
      Returns:
        modifier specification struct

    - #### XDeleteModifiermapEntry

          X11.XModifierKeymapRef XDeleteModifiermapEntry(X11.XModifierKeymapRef modmap,
                                                         byte keycode_entry,
                                                         int modifier)

      Deletes the specified KeyCode from the set that controls the specified modifier and returns a pointer to the resulting XModifierKeymap structure.
      Parameters:
        `modmap` - modifier map
        `keycode_entry` - keycode entry
        `modifier` - modifier
      Returns:
        modifier specification struct

    - #### XFreeModifiermap

          int XFreeModifiermap(X11.XModifierKeymapRef modmap)

      Frees the specified XModifierKeymap structure.
      Parameters:
        `modmap` - modifier map to be freed
      Returns:
        status

    - #### XChangeKeyboardControl

          int XChangeKeyboardControl(X11.Display display,
                                     NativeLong value_mask,
                                     X11.XKeyboardControlRef values)

      Changes the keyboard control state.
      Parameters:
        `display` - display
        `value_mask` - disjunction of KBKeyClickPercent, KBBellPercent, KBBellPitch, KBBellDuration, KBLed, KBLedMode, KBKey, KBAutoRepeatMode
        `values` - control ref values
      Returns:
        status

    - #### XGetKeyboardControl

          int XGetKeyboardControl(X11.Display display,
                                  X11.XKeyboardStateRef values_return)

      Returns the current control values for the keyboard to the XKeyboardState structure.
      Parameters:
        `display` - display
        `values_return` - keyboard state structure
      Returns:
        status

    - #### XAutoRepeatOn

          int XAutoRepeatOn(X11.Display display)

      Turns on auto-repeat for the keyboard on the specified display.
      Parameters:
        `display` - display
      Returns:
        status

    - #### XAutoRepeatOff

          int XAutoRepeatOff(X11.Display display)

      Turns off auto-repeat for the keyboard on the specified display.
      Parameters:
        `display` - display
      Returns:
        status

    - #### XBell

          int XBell(X11.Display display,
                    int percent)

      Rings the bell on the keyboard on the specified display, if possible. The specified volume is relative to the base volume for the keyboard. If the value for the percent argument is not in the range -100 to 100 inclusive, a BadValue error results. The volume at which the bell rings when the percent argument is nonnegative is: base - [(base * percent) / 100] + percent. The volume at which the bell rings when the percent argument is negative is: base + [(base * percent) / 100]. To change the base volume of the bell, use XChangeKeyboardControl.
      Parameters:
        `display` - display
        `percent` - value to set
      Returns:
        status

    - #### XQueryKeymap

          int XQueryKeymap(X11.Display display,
                           byte[] keys_return)

      Returns a bit vector for the logical state of the keyboard, where each bit set to 1 indicates that the corresponding key is currently pressed down. The vector is represented as 32 bytes. Byte N (from 0) contains the bits for keys 8N to 8N + 7 with the least significant bit in the byte representing key 8N. Note that the logical state of a device (as seen by client applications) may lag the physical state if device event processing is frozen.
      Parameters:
        `display` - display
        `keys_return` - keymap
      Returns:
        status

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.